commit 74f477ce65085be46eab5de64bd8b99f8caa80fe
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Tue Jul 9 17:21:52 2013 -0400

    Model lacked resolution

commit 96f0a93a4950413e5b0b425c571c6ca1afbd0410
Merge: 01c967e 6aee60b
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Tue Jul 9 16:38:01 2013 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 01c967ec6af2476f459cc5c3fa0eb764bf6e2b24
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Tue Jul 9 16:37:53 2013 -0400

    Updated method so that all figures are closed after being made when display is turned on

commit 6aee60b668f19a9e6dbd2829075b446ccfd93b62
Merge: b50a2f6 b89cde8
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 16:35:08 2013 -0400

    Merge branch 'master' of https://bitbucket.org/icaoberg/cellorganizer

commit b50a2f68ea7e9308f9333cec3eee3a0b427f7866
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 16:34:46 2013 -0400

    Fixed incorrect default parameter

commit d238d9429687562d7fc609bbeb8d6370f4d0c8b6
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 15:28:33 2013 -0400

    turn off displaying intermediate images

commit 837505db6128a83db28cc2bce332bc6bf13b2f0d
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 15:26:01 2013 -0400

    turn off displays

commit b89cde8dfe985e036d95f10fba98c4eb11a3e8c5
Author: Devin <devins@cmu.edu>
Date:   Tue Jul 9 14:33:57 2013 -0400

    Fixed bug in tp_gengaussobjimg.m for 'sampled' method introduced by non-overlapping objects code.

commit 64570ca642253f3c9972b3f39783f6e2a883bfad
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 13:28:23 2013 -0400

    Cropped images parameter not set correctly

commit 5a6a3bd4cf62add4e21694331edb4130f6ab2017
Merge: e7f0798 b450d30
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 13:27:24 2013 -0400

    Merge branch 'master' of https://bitbucket.org/icaoberg/cellorganizer

commit e7f0798ed2862e2154093fcb31c1cd5c62e6e805
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 13:27:13 2013 -0400

    Improved functionality for foreign data

commit ff95282020bddbce4eac685295de63fe4c019322
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 13:26:49 2013 -0400

    Improved functionality for foreign data

commit 6e216067499d7f36b760e6a57258896e918f4411
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 13:23:36 2013 -0400

    Allows for code to function without protein images being passed in

commit b450d30783d09311ccdb030dd0dfb3413f0973d1
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Tue Jul 9 13:23:10 2013 -0400

    Removed temporary files

commit e15002047da7f2b2bb1a829e635c201a1bb5560a
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 13:22:29 2013 -0400

    Account for 2D images

commit 25ba77443d6b95cdc46ff81c8f6e50343b420d92
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 9 13:10:20 2013 -0400

    Updated method so that it does not crash if display fails

commit 8114c16e430ebc75f9ffca7adec3b2d2a877718e
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 9 12:59:46 2013 -0400

    Updated method so that Pcalculation does not stop if unable to display plot

commit d8f393fc19c5d302cb63c18d9f3dd0715a93ed9b
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 9 12:58:20 2013 -0400

    Updated method so that PDF plot will only happen if display is set to true. Otherwise it will fail in systems where displays are not set

commit 79dffd3443b5fa19c28437afedad875d7b80ebbd
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 11:48:30 2013 -0400

    Fixed bug where top and bottom slices may be outside of the segmented cell region

commit 780c81a74d932d734ba0d5a0403929558e261488
Author: Devin <devins@cmu.edu>
Date:   Tue Jul 9 11:23:41 2013 -0400

    Re-added try catch in im2blender to prevent crashing.

commit 399af78834873bce62190c462ff7c4918c875203
Author: Devin <devins@cmu.edu>
Date:   Tue Jul 9 09:59:02 2013 -0400

    Added wrong version of im2blender in previous commit. Both work, this one is cleaner.

commit be0e5d5cbae4ce7038101a2827b70e5f41799e5e
Author: Devin <devins@cmu.edu>
Date:   Tue Jul 9 09:52:08 2013 -0400

    Fixed minor bugs in blender code so that all items are consistently shifted now. (With Rohan Arepally)

commit 5ad6bef50cddb81e4b4a49950eb9026a8c9bd9df
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 08:22:48 2013 -0400

    Set default values for undocumented parameters

commit 4423d1bef9f9630b5a493d5168a6f6bd1c6ea10a
Merge: 4137d8c be55643
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 01:25:40 2013 -0400

    Merge branch 'master' of https://bitbucket.org/icaoberg/cellorganizer

commit 4137d8cb2a1bf79d3928f70d7b43e9659db9887e
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 01:25:05 2013 -0400

    Improved reporting

commit 8a4f55735c2c2fb4b4d91e8e29143a7a6b99798a
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 01:24:26 2013 -0400

    Fixes of various bugs related to demo3D18

commit c1117f38aa2cf9834bbdeebc8e04b4255f6ed45a
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 9 01:22:14 2013 -0400

    Error checking to prevent breaking when param values not completed

commit be55643262d6f3525f90df03e4ca75cbf0109af3
Merge: 054032c 362b59b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 8 18:01:16 2013 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 054032c4fd062ac5c9e1d5c586951dd757e1313f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 8 18:01:11 2013 -0400

    Updated methods so users are allowed to synthesize nuclear instances from models containing only nuclear shape models

commit 362b59b903b60779031011b68d23590bfbb83a35
Author: Devin <devins@cmu.edu>
Date:   Mon Jul 8 16:40:24 2013 -0400

    Fixed demo3D16.m by adding the required parameters.

commit f2edc24da37c082089dca083054ef777aeb317cf
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 8 15:55:30 2013 -0400

    Included .gitignore file demo

commit a2a313496fd3f8e3d8323965a595bb08f8fff232
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 8 15:54:20 2013 -0400

    Included basic skeleton of demo that downloads the 3D 3T3 dataset for using the hole finding feature

commit ea3bda15e3d3c537ee61c032607b222b8d11bec4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 8 15:48:03 2013 -0400

    Changed demo so that it uses disc method

commit 68354f104b9faf4b51ab5a520b4336c6eb1d9a47
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Mon Jul 8 13:18:51 2013 -0400

    Improved reporting tool

commit d84384dea77f3a045953f6b5ad376fe6813023fe
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Mon Jul 8 13:18:17 2013 -0400

    Fixed bug where NaNs in the object position parameters, beta, cause CO to crash

commit 3aeb7492b0da67cf530a3b1a41c4bbe2ba08e6c1
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Sun Jul 7 15:20:12 2013 -0400

    Improved support for 2D models

commit 77ae453df89f2ff7aaa1d3c192010fc441fed2af
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Sun Jul 7 13:29:19 2013 -0400

    fixed bug where NaNs in object intensity and
    %   covariance matricies were resulting in NaN model parameter vlaues
    %

commit a68e9c729cf228a741adc7a15bddeba6cf24b22c
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Sat Jul 6 18:38:29 2013 -0400

    Additional functionality for viewing protein-related distributions

commit f9c576dfde1e1650d4c447cb3289ac2b9c892f61
Merge: a676f3b 255b93f
Author: Devin <devins@cmu.edu>
Date:   Sat Jul 6 18:12:59 2013 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit a676f3b14e1d5d8c2316d2a13298096ffce24781
Author: Devin <devins@cmu.edu>
Date:   Sat Jul 6 18:12:40 2013 -0400

    Added support for zero variance in cell and nuclear shape to tp_pvalue.m and optimization for synthesis of cell and nuc shape.

commit 255b93f764e268b397611d36c6e08afe6647fc5a
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Sat Jul 6 13:26:00 2013 -0400

    Better error handling to deal with poorly segmented images.

commit 09e87d62f8c6baca2ec03f8fdcee52de5b4158e9
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Sat Jul 6 13:16:46 2013 -0400

    Moved reporting tools back to top level directory

commit a4293e78e071ca6cee57fbf8943c71972121a13f
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Fri Jul 5 17:40:20 2013 -0400

    Minor fix to prevent crash when cellcode.nucmangle or cellcode.nucmangle returns NaN

commit ee68b67c64c46e647efd6cbf817e32082f1de03a
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Fri Jul 5 17:31:19 2013 -0400

    Fixed error where emptry strings were being returned as filenames

commit 86d6b1a3fb7d3061c1d2adb822f9568807b86406
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Fri Jul 5 17:10:09 2013 -0400

    Added Bob's reporting tools and made a reporting tools folder in utilities

commit 1158ea0253617e5704d525737855cf0c47ea9099
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Fri Jul 5 15:44:40 2013 -0400

    Set object placement threshold as a parameter, param.overlapthresh. Set to off by default

commit 6ea73017c085bc3b86efc1a077d3ef4768cb9b11
Merge: 31c31f5 7caa3f7
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Thu Jul 4 11:44:26 2013 -0400

    Merge branch 'master' of https://bitbucket.org/icaoberg/cellorganizer

commit 31c31f530001661e73e3b9644a1e16ca44085cf2
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Thu Jul 4 11:43:22 2013 -0400

    Fixed mislabeled filename

commit 7caa3f7fc00e3e69482620f32238f23d5b6fe1e4
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 4 11:23:37 2013 -0400

    Removed multiple copies of ml_readimage from path

commit 823b6f3218ba9eff09013bc721927c1bf963314a
Merge: ec8ee3f cc70bed
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jul 3 15:48:39 2013 -0400

    Merge branch 'parallel'

commit cc70beda758d7694a7f1ca4bd76cc0dadf424c89
Merge: 23362e1 4dcfedb
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 15:45:12 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 23362e1fbdfa56cb8534e592fa72ce67ada7ed19
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 15:45:00 2013 -0400

    Added dna mask tests into extended tests

commit 4dcfedbb79597d8b4d29516fcb98865b0175632a
Merge: f16253a 404693f
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 15:18:05 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit f16253a94fc0227ded34704493eec8f5d59622a1
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 15:17:56 2013 -0400

    Fixed minor syntax problem

commit ea29ccdf6ba4836fcbcd9feab7958b6eaaa77881
Merge: ca54b4d 404693f
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 15:13:15 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 404693ffa6466d27acdb9e996450fc80370f4e82
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jul 3 15:13:01 2013 -0400

    Updated method to return empty model when listing image files return an empty list

commit ca54b4d3775b98978450bc326549fdd6678beee3
Merge: 8ad0523 7e4fec4
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 15:09:23 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 8ad0523f6c5e068dddf72aa8ed52eda1c6ce7bb5
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 15:09:10 2013 -0400

    Added training tests into run_all_tests

commit 7e4fec448d9c64a49578e65b2b1f9f5e84f066ba
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jul 3 15:08:02 2013 -0400

    Updated tests for img2model

commit b382cbbd1f4adb0b7fafdbcb5c366196348a4dff
Merge: 4d49cde 971945c
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 14:48:32 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 971945c2c37eb181f4b0b0fc701bfddfbf0e6a56
Merge: 7ea02e5 b2da91a
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jul 3 14:48:19 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 4d49cdefa47685086c1ea7460aeb971b7c90ca52
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 14:48:06 2013 -0400

    Added utilities tests into run_all_test

commit 7ea02e59370d52a06c8cf2f2f2ad65c247dcd4f6
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jul 3 14:46:43 2013 -0400

    Updated tests for img2slml

commit b2da91ac47b263600b09c862c0250b7a14ceb0da
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 14:22:46 2013 -0400

    Added tests for ml_readimage

commit e9e2d569c88821d45889d5a6d61fad77c6bab1d1
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Wed Jul 3 14:03:40 2013 -0400

    Added tests for ml_preprocess

commit a6eed140ce7bd1a5994a58c9bfbf7bd28799f635
Merge: 8fe8fa0 985b93a
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 13:57:38 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 8fe8fa00748f4007f02c8fa19086b2592912881f
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 13:57:27 2013 -0400

    Added tests for img2tif and fixed bugs in img2tif

commit 985b93a6e0c711ccc58c8ec5c87967c81535ed2c
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Wed Jul 3 13:48:06 2013 -0400

    Added tests for ml_preprocess2D

commit 5e6ed1b31eb3896e9814815ac9def6a1963ab664
Merge: c8b3e6e 05799d3
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 13:31:33 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit c8b3e6eb42711afdb6096e118e6055a10a3e6dae
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 13:31:23 2013 -0400

    Added tests for img2tif

commit 05799d3a5af5b56aa1028bd158ad3ab44bc53734
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jul 3 11:22:53 2013 -0400

    Updated tests so they do not print to screen

commit 2a260939d67714cb19f68435fead6e221ab79f8c
Merge: 7cfb69a abec462
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jul 3 10:59:57 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 7cfb69ab4341b884428d68db9dbb340c9d8cc789
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jul 3 10:59:47 2013 -0400

    Fixed problem with method that returned error when dimensionality was not recognized. Method should return false, meaning it failed.

commit abec462de526edf2977869589adced636f57dc90
Merge: f67cd89 761c380
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 10:57:01 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit f67cd89c2b823b34a606f98b1b2ca54da865acac
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Wed Jul 3 10:56:48 2013 -0400

    Implemented changes about slml2report

commit 761c3800cb6e1a9047402e21980f985c43179db5
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Wed Jul 3 10:55:25 2013 -0400

    changed holfinding demo to a test

commit e00dc1940f4a6350803cdcb873142a0f8510f499
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 2 22:04:11 2013 -0400

    Demo showing dna hole finding

commit b30b5828dfccd2ab6f4ba17388cb634af4f42a5c
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Tue Jul 2 18:45:03 2013 -0400

    Implemented changes for PDF plotting

commit 96dd4ee31ef46bc6fdd15107aa2e84eb058ed3c9
Merge: 2c23f19 7022ccc
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Tue Jul 2 16:46:50 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 2c23f19475e293f226915d3409afcd54c38800cc
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Tue Jul 2 16:40:08 2013 -0400

    Added changes to tp_genspsurf and ml_gencellshape3d

commit 7022cccdc97cbef88e90bdedad387ea5604fc7b7
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Tue Jul 2 16:40:08 2013 -0400

    Added changed made by bob for tp_genspsurf and ml_gencellshape3d

commit 1358d9d789cb4e55c36c24d863af0699634d537b
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Tue Jul 2 16:18:11 2013 -0400

    Finished test for synthesis part

commit 6e043cf69dd455b6d941ede435bcc14ed39e9a1f
Merge: 9fca1e2 8870d66
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Tue Jul 2 15:22:14 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 9fca1e25cdbe49e4590958dd72a5bb1f7f9238e3
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Tue Jul 2 15:22:08 2013 -0400

    Fixed bugs for model2instance.m

commit 8870d668a0a893823518f0dd32bdf2046b95a417
Merge: 7167461 8a89f48
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Tue Jul 2 15:03:24 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 7167461a7c5646552af7447d5565a9f106c9de7d
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Tue Jul 2 15:03:14 2013 -0400

    Updated train_nuc_shape_model tests

commit 8a89f485965d74fcf139a5a9c3aea2dd1b38172f
Merge: 3e62f27 2dfcb92
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 2 14:42:55 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 3e62f276fa9bfe6c55bd5762de07de2d60e09856
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Tue Jul 2 14:41:00 2013 -0400

    Replaced calls to boolean with logical

commit 2dfcb926371919b3452a5da3fa38a08db485bfb8
Merge: a12d2b6 0109e7c
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Tue Jul 2 14:33:42 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit a12d2b6445c6d31641d53ac11a89ca8627942b87
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Tue Jul 2 14:33:29 2013 -0400

    Added tests for tif2img and fixed some bugs

commit 0109e7c120e7b7f6215513893b6a84262bfd05f1
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Tue Jul 2 14:32:20 2013 -0400

    Added tests for train_nuc_shape_model

commit 7f903cd707c95a8e5a1e2edf59fdbb5bd4714603
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Tue Jul 2 13:14:41 2013 -0400

    Added ml_trangenmodel(2D and 3D) tests.

commit 064fda42bc87499406acfc35bdf73793ad1d9061
Merge: f669f33 9b69b5b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 2 12:03:06 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit f669f33430609bef43ee987d44e2d3865d467554
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 2 12:02:59 2013 -0400

    Added empty method that will call all scripts

commit 9b69b5b746fcd930e61914ec37c11a17bed45522
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Tue Jul 2 11:40:32 2013 -0400

    Added more img2model test.

commit d8096bb40a6af3365ccd19fa5955da448cf296b1
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Tue Jul 2 11:16:39 2013 -0400

    Added more img2model tests

commit 159aad9cd83c140c19988032dc19b0617c0c0694
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Tue Jul 2 10:47:41 2013 -0400

    Added img2slml and img2model tests

commit aee71650cad2026a53276e7668d5a8d77a9be1ad
Merge: 5903f26 4e5dfc0
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 17:36:28 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 5903f26bfbdd5d5bda807897308fb66a34c15566
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 17:36:19 2013 -0400

    Updated test003 for model2framework

commit 4e5dfc00a331aa9792d00434a6528b5212408027
Merge: 1083f90 bb2857e
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Mon Jul 1 17:34:18 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 1083f902f7eb087b44c5a335e0e746b91a85113d
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Mon Jul 1 17:33:53 2013 -0400

    Changed to another model for test007

commit bb2857e91793d22e37dc945820ceeac2b1c4d6e8
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Mon Jul 1 16:59:46 2013 -0400

    Added model2instance tests

commit 3385d5f5628c77899b0c521eb37da0d27292f171
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 16:55:46 2013 -0400

    Updated method so that output resolution is inherited from the model in the 2D case

commit 25e6c692c6acb3d3e470fa443bba545eaf88f2ed
Merge: ca0d7e1 84c7a05
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Mon Jul 1 16:37:58 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit ca0d7e1a0eb51b748e765e89ce59cec5c94ec341
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Mon Jul 1 16:37:45 2013 -0400

    Added test007 for slml2img

commit 84c7a05ec4b30c09c93c16889d12ae060d4e0361
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 16:21:02 2013 -0400

    Fixed problem that arose when the list of models contained only on model

commit fbb667c462ca2e1b9a1ca27f41a27a2197a7559e
Merge: 2170e4f 12d8288
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 16:08:29 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 2170e4f1681c4f2865c4c38591364577ab6f4edb
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 16:08:23 2013 -0400

    Updated test005 so that plots are only made when debug and display gflags are on

commit 12d8288ea00c36c5d0f7902a0dcaf8625d810f44
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Mon Jul 1 16:00:36 2013 -0400

    Added model2framework tests

commit 17ef0c728660fdc89a1033d8fbf2de758a433c21
Merge: 4ac6774 4fb4ada
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Mon Jul 1 15:20:08 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 4ac6774218863e8c2ca8a1fafa406f08a2320080
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Mon Jul 1 15:20:02 2013 -0400

    test004 for model2img

commit 4fb4adaa5af81eec6171594de5c3357f78578296
Merge: c90e269 186ac57
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 14:05:45 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit c90e269fa1fc084006a438326f2f90313c5f9346
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 14:05:24 2013 -0400

    Included test005 that tests that two models have the same dimensionality

commit 186ac57847410a2e097cbce49898ae3e3e8e37f0
Merge: 76ca961 ac2b180
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Mon Jul 1 13:50:13 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit ac2b18033b09d4171c8999778a5779616d001617
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 13:49:48 2013 -0400

    Included test004 for slml2img

commit 76ca9612ebb3bffb020d2dc1b73af6c3724ebba6
Author: Yajing Tang <yajingt@andrew.cmu.edu>
Date:   Mon Jul 1 13:49:46 2013 -0400

    Changed to use the old model in demo3D00

commit dd6be0e6f7af536380066984dbcd4cf0ba2a0b6d
Merge: 972b5a7 5adc9b0
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Mon Jul 1 13:37:07 2013 -0400

    Merge branch 'parallel' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 972b5a733b8d3df28f112beb54adb0947bf6bcb5
Author: Marc-Daniel Julien <mjulien@andrew.cmu.edu>
Date:   Mon Jul 1 13:35:41 2013 -0400

    Added tests for model2img

commit 5adc9b02ce219ec957cf0af9e13d80a9f8d026aa
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 13:35:01 2013 -0400

    Made simple update that prevents method from crashing when synthesizing 2D instance

commit 248b95d001f406d52518aeb009c3d79afeff364f
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 12:08:57 2013 -0400

    Initial set of tested tests

commit a7710b0a9490753f31b20dc1240a5b870b7b75f3
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 12:08:36 2013 -0400

    Improved display message

commit 4a5eaaa983d343cdfb0f6f95b1215484cf9de434
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 11:43:07 2013 -0400

    Updated method so that it returns true if successfully performed the task, false otherwise. I also made a mod so that it saves the parameter structure to temp folder if debug set to true

commit ec8ee3f35f13eafbbd7fc2fd6e22651ff9d1c2fe
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jul 1 11:36:49 2013 -0400

    Modified method so that it saves the parameter structure when set to debug

commit 1d7e046f66cc4cc4c11fd3e4679190b20af36ea4
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Sun Jun 30 20:43:26 2013 -0400

    last minute bug fix

commit 1a5456c03a5713650a362b0727562bc6afaea3b1
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Sun Jun 30 20:36:54 2013 -0400

    added support of non-colliding objects

commit 0d3cd411f402d6c439a5b78c598a93914009d430
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Sun Jun 30 20:35:38 2013 -0400

    modified to suport n dimensions

commit fb4832cc0c573d44969c82719931251c560f1c0f
Merge: 090bbb7 54ecaf8
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Sat Jun 29 13:21:20 2013 -0400

    Merge branch 'parallel' of https://bitbucket.org/icaoberg/cellorganizer into parallel

commit 54ecaf87aaf6e740b3a4f085f0b9bef4810a1d49
Author: Devin <devins@cmu.edu>
Date:   Fri Jun 21 16:21:35 2013 +0200

    Playing with adhesion code, not intended for public release.

commit 44f2192c0a24f085d874da80bf8a9b70bc2b89fb
Author: Devin <devins@cmu.edu>
Date:   Fri Jun 21 12:27:10 2013 +0200

    replaced ml_preprocess2D calls with ml_preprocess. Attempted to remove ml_preprocess2D.m from repo.

commit 32a12042728ba8cdf8b549f75bd19e8e75a4be41
Author: Devin <devins@cmu.edu>
Date:   Fri Jun 21 11:47:22 2013 +0200

    Added natural sorting to ml_ls.m Minor bug fixes to 2D code. Added support for non-0/1 binary images to ml_findmainobj_bw.m.

commit 090bbb7f8c82987ce2eab3ff8eac10a94a8e5714
Author: Greg <Greg@ch-192-52-14-184.mobile.uni-freiburg.de>
Date:   Mon Jun 17 19:13:36 2013 +0200

    Merged percellparam_for and percellparam_parfor

commit ffb22b231d26acbf422dca2834c18e30532688cf
Author: Greg <Greg@ch-192-52-14-184.mobile.uni-freiburg.de>
Date:   Mon Jun 17 16:43:37 2013 +0200

    changed the percellparam_(for/parfor) to work on single images to improve maintainability. (For/parfor) looping is controlled in img2model. param.parallel variable controls the number of cores to use in the parallel function i.e. param.parallel = 2, uses 2 cores

commit 7da4468d20cf4ffeb0a9dcd6dc1594165a37af80
Author: Greg <Greg@ch-192-52-14-184.mobile.uni-freiburg.de>
Date:   Mon Jun 17 16:40:39 2013 +0200

    changed the percellparam_(for/parfor) to work on single
     images to improve maintainability. (For/parfor) looping is controlled in img2model. param.parallel variable controls the number of cores to use in the parallel function i.e. param.parallel = 2, uses 2 cores

commit 85d5c90a6456aa3649ce6c1c83f8296d3b7e60a0
Author: Devin <devins@cmu.edu>
Date:   Mon Jun 17 15:06:28 2013 +0200

    Minor bug fixes, addition of model2report_percell.m toggled with the flag param.percellreport.

commit e8997ac5a3fba2c575a76ea0992d4f04f8f80fe2
Author: Devin <devins@cmu.edu>
Date:   Sun Jun 16 22:39:25 2013 +0200

    Bug fixes for the parallel version.

commit 5aed16fda7190b0197f6cce416e1018bb14b06c8
Author: Devin <devins@cmu.edu>
Date:   Thu Jun 13 19:08:34 2013 +0200

    Parallelized code for training. Initial test of building a model have passed. Also implemented resolution dependent vesicle sizes (min and max) and percell compartmental statistics (cyto,mem,nuc).

commit 0c77e2a2afe6a1c8c74f23e4adb05ad9e69f8ef4
Merge: 53f921c 92f08b0
Author: Devin <devins@cmu.edu>
Date:   Thu Jun 13 12:21:14 2013 +0200

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer into parallel

commit 92f08b08725ce1f20f0bfc6b2e2e08eaef2a46f0
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jun 12 18:15:34 2013 -0400

    Updated Bio-Formats to version 4.4.8

commit 53f921cd99333cca9d190517ff6a6cab3ef6e4e1
Author: Devin <devins@cmu.edu>
Date:   Tue Jun 11 23:24:50 2013 +0200

    Intermediate update supporting per-cell functionality. Functions and changes are not properly commented yet. This version is for internal use only. It should support the learning of all percell parameters and the new percell compartment proportion of fluorescence model.

commit 9fe2fa72a8657a8bfa75d0b8a63a4fcde2173f3a
Author: Devin <devins@cmu.edu>
Date:   Fri Jun 7 17:11:43 2013 +0200

    Refactored the cell code. Again, this is an intermediate push for members to view, not a finalized version. documentation and functionality may not be perfect.

commit 03899023d7e4102a43928090ef7fba0b1b55223a
Author: Devin <devins@cmu.edu>
Date:   Thu Jun 6 12:30:01 2013 +0200

    Began code refactoring. Not all changes are documented yet. This commit is meant as an intermediate commit for other lab members to view. Also began compartmental type statistics.

commit b4937aa7bf208a53a4601e49c41991b1d661830d
Author: Rohan Arepally <rarepally@gmail.com>
Date:   Tue Jun 4 14:25:16 2013 -0400

    fix issue #109 endsome intersection with cell membrane

commit a1f63b9822a4c519dd76043546a49272a53e385a
Author: Greg <Greg@dyn-063.frias.uni-freiburg.de>
Date:   Thu May 30 13:21:34 2013 +0200

    change parameter value 'numberOfSynthesizedImages' to 'nimgs', and enabled corresponding functionality. Additionally, removed redundant code and checks to prevent erroring out when no protein model is defined

commit ad2819b5fc390b57399451b4824a18bb69849567
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Sat May 18 12:14:05 2013 -0400

    Made changes for version 1.9.1

commit 7b5ac66c09bd061770951c0737ac701b6c9c5b94
Author: Devin Sullivan <devins@cmu.edu>
Date:   Sat May 18 12:12:14 2013 -0400

    Updated training template

commit eafdff3114706824ac12f54f03b6ad6e8b973497
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Sat May 18 12:07:12 2013 -0400

    Updated method so that if it fails to synthesize a framework it will continue to the next iteration without crashing

commit 125956e9feacfe3f1bf8211fc491547165042b4a
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 23:29:56 2013 -0400

    Updated version number

commit 70468e1ce2b73d91843e2969e868b822c875324a
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 23:28:32 2013 -0400

    Updated methods

commit c99aaeaae8b778873b3aa1052409d6f0fa2f2330
Merge: 5286207 594fc9d
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 22:37:51 2013 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 594fc9db59c9acba676748b8c97c5059f343b1e7
Author: Greg <Greg@Unikron-2.local>
Date:   Fri May 17 19:31:01 2013 -0700

    Major bugfix in ml_parsecell2D where cell and nuclear ratios were only being calculated on the first angle

commit 587beec8dd1db0d5ca59f060f8d9a2cd26fca9e9
Merge: e0170ae f35c71f
Author: Greg <Greg@Unikron-2.local>
Date:   Fri May 17 19:22:20 2013 -0700

    Merge branch 'master' of https://bitbucket.org/icaoberg/cellorganizer

commit 5286207f3ee4c7739c9da894bad080dbc2a38861
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 22:21:42 2013 -0400

    Renamed images in demo2D03

commit e0170ae381435d13cefce1ab8058ea603a957e72
Author: Greg <Greg@Unikron-2.local>
Date:   Fri May 17 19:20:30 2013 -0700

    Major bugfix in ml_parsecell2D where cell and nuclear ratios were only being calculated on the first angle

commit f35c71fa1926d034bfadc60fe56ea0691463dc33
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 20:49:34 2013 -0400

    Updated demos

commit af50621046499e605879d81c08062f7d24b25b00
Merge: 69741c2 3458695
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 20:35:25 2013 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 69741c2a4d84aa717b451aa5adeb6113b92aeb67
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 20:34:28 2013 -0400

    Fixed bug that was trying to remove a folder instead of files

commit a0ab0cb87647e57d2e99e21974297d7dcc8ca8b3
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 20:21:59 2013 -0400

    Fixed removal of temporary files for the synthesis case

commit 3bdc1a4c21e778cfe3f51693097d437e9296ee0c
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 20:17:36 2013 -0400

    Fixed small bug that was not passing display variable correctly

commit 0aafa90065b133920b12661bda1a01b0419c7107
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 18:42:40 2013 -0400

    Updated method so that when display and debug are true they show useful plots

commit 3458695141e23e7121efc3b1f461aa84e190bfe1
Author: Greg <Greg@Unikron-2.local>
Date:   Fri May 17 15:03:47 2013 -0700

    Changed function name to be more represntative of function behavior

commit a0f448381c7fa76b5a3d90db513a1ac2adfb6512
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 15:01:53 2013 -0400

    Fixed that prevented models from synthesis of nuclei iff param.synthesis was set to nucleus

commit f3ed62103bc9659f33600d3b3e0d35f1e69d4637
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 14:51:05 2013 -0400

    Updated methods so that they will not save empty fields to SLML instance

commit 6f79c2220902ab6d16b01e073759185aac12227b
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 14:49:18 2013 -0400

    Updated model for demo2D03

commit cfc35ea1524d566e01f8cb868ef7dfc8415d8087
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 14:44:32 2013 -0400

    Fixed small bug in seg_cell_and_nucleus that failed when cellnum was not set

commit e0da12222a53effed1850ec9fe51839ab8484ccd
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 14:43:32 2013 -0400

    Updated demo3D16 to match the latest changes to CellOrganizer

commit cafe95009cf5b359a6abff251fb9f6b6101026a6
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 14:09:54 2013 -0400

    Updated demo2D03

commit b0377ee0bbda8cfd8411ae2e0c22f5b9e8755349
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 14:07:15 2013 -0400

    Removed log files

commit bb874db2b64c6ea053bc997e8445a6025d1fdf42
Author: Greg <Greg@Unikron-2.local>
Date:   Fri May 17 12:47:43 2013 -0400

    Added simple tool for plotting parameters from a set of models.

commit 7182e17c28dbb1cf9b66ba501ff0254688138901
Author: Devin <devins@cmu.edu>
Date:   Fri May 17 12:09:29 2013 -0400

    Created templates for both training and synthesis where the user may enter a short list of parameters and either train or synthesize using CellOrganizer. All parameters are listed and explained in these templates as well.

commit 0545ace37eb6a601f25831994cd856122018701b
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 17 11:31:31 2013 -0400

    Changed param.training.flag to all

commit b1cf5f9d4f531e7dd9319be884ff3488220d9b26
Merge: 96c8e6b dfd7281
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Thu May 16 18:08:58 2013 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 96c8e6bf2dbb80f0f84658b267340a59902ec22f
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Thu May 16 18:08:41 2013 -0400

    Updated methods to support the use of wildcards in img2slml

commit dfd7281be86e22646416542b172cf5c77127bf1b
Author: Devin <devins@cmu.edu>
Date:   Wed May 15 23:09:28 2013 -0400

    Fixed documentation on demo3D12.m so that the demo title would be printed out when demoinfo was called.

commit ef91acc7f5181f61cdfd838e43d5788ab54311b6
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Wed May 15 21:01:29 2013 -0400

    Updated method so that it tries to open a multitiff using tif2img rather than imread

commit b92759a5ac8acae9c106e934a79ba578089ebad0
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Wed May 15 14:59:57 2013 -0400

    Fixed small bug in demo2D02 where the demo would fail if multiple copies of the tarball reside in path

commit d42cf247f610638962496faa12551606554051aa
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Wed May 15 14:53:41 2013 -0400

    Fixed bug where it was not setting the param.synthesis to the default value

commit 737c33559aa466791578a5f468d40b665360f658
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Wed May 15 00:55:30 2013 -0400

    Fixed small bug in helper method that was setting the debug flag using the value of the verbose flag

commit faec658dfb42b5273d9f3bea1de1d4a95f5275b6
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 14 23:54:54 2013 -0400

    Fixed small lexical error in one of the displays

commit 86e01ab3772269217a153af1e0f5ab00430cbcb7
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue May 14 23:41:22 2013 -0400

    Fixes for issues #102, and #101. Drastic speed improvements

commit a059df722fd90e2c94be3cdbf7c827c2dad50d4e
Author: Greg <greg@cmu-851144.wv.cc.cmu.edu>
Date:   Tue May 14 21:13:21 2013 -0400

    added error checking for ratio calculations

commit 25f14e0d03a66c90c523b97c1aa846e014d0d03e
Author: Greg <greg@cmu-851144.wv.cc.cmu.edu>
Date:   Tue May 14 20:53:19 2013 -0400

    completed code block

commit 7e47e57dfad890fea3a30f57ec990145916e8c81
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 14 18:58:21 2013 -0400

    Fixed bugged where processed images where being loaded improperly

commit c0883692060f8f1b31b83f027ccd9682094d1e54
Merge: e04c9ce 887b094
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 14 18:07:20 2013 -0400

    Merge branch 'dev'
    
    Conflicts:
    	utilities/model2img.m

commit e04c9cee1a8254ed721f23ed12e0425d990ed8d3
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 14 18:01:56 2013 -0400

    Stop dilation of nuclear and cell edges

commit c0f750abf82e76030f212f824dee2f4fce350dee
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 14 12:52:18 2013 -0400

    Updated and tested methods to handle edge cases. If method fails it will return an empty image array.

commit 887b094fd85713b2c77a6a612e3c5658cce01d64
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon May 13 18:44:46 2013 -0400

    Stop dilation of nuclear and cell edges. Left code for archival purposes.

commit bebc0b1628fb8c21317ee0d185be5e3fe1606301
Merge: dfe5def 7361aab
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon May 13 17:38:13 2013 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit dfe5def6be8efd32d72ebbd102842b9059f57317
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon May 13 17:38:03 2013 -0400

    Updated methods so that user can exploit synthesize flag in the 2D case

commit 7361aab9712c074970c0585bf4869aeb34d93571
Author: Greg <greg@cmu-851144.wv.cc.cmu.edu>
Date:   Sun May 12 20:43:50 2013 -0400

    oops forgot some stuff

commit 416003e403ac7c2a430ac93e4277742fd5e680e7
Author: Greg <greg@cmu-851144.wv.cc.cmu.edu>
Date:   Sun May 12 19:50:34 2013 -0400

    gaussian objects not being indexed properly leading to only one object per cell. objects were being loaded per-object into variable 'mixes' instead as per-cell.

commit 1f55d11b0d12248467c71c5cdbfd6a69ec14532d
Author: Greg <greg@cmu-851144.wv.cc.cmu.edu>
Date:   Sun May 12 14:47:00 2013 -0400

    rotating objects out of frame, and error checking for shape in 2D

commit 87373e065d5172ede6830f4e90dc98a806362ca7
Merge: 9a5a8ff 22fc0d4
Author: Greg <greg@cmu-851144.wv.cc.cmu.edu>
Date:   Sat May 11 18:55:38 2013 -0400

    Merge branch 'master' of https://bitbucket.org/icaoberg/cellorganizer

commit 9a5a8ff976ba73c58f7dd2fde7eeb2c0c7ce6761
Author: Greg <greg@cmu-851144.wv.cc.cmu.edu>
Date:   Sat May 11 18:52:51 2013 -0400

    modified to all for logical cell boundary images

commit 22fc0d4e0ddf88437f5870c526a1a574e1708a0c
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Sat May 11 18:26:38 2013 -0400

    Changed order in the try catch so that it tries to open with Matlab first, then Bioformats

commit d6a567dffc97b77207fdfb3b3d6aa547459cc492
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Sat May 11 18:23:17 2013 -0400

    Updated method so that it works with tabular lists

commit abf1f13555d21d2198919d36464b44c755ad0fb2
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 10 12:21:30 2013 -0400

    Update algorithm so that the angle step size is fixed to one rather than dependent on the number of images

commit 620db5df918bcf52d18778057747063235a31bb5
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 10 12:16:33 2013 -0400

    Fixed bug that was not saving the temporary results properly and was failing to run properly

commit aa598d505c5a134628efd1ab3dd192bc77e101b2
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 10 12:09:28 2013 -0400

    Updated method so that it uses the param.modelname as a the switch case

commit d898e662602567dce852fd0e848eaf827e5ab3c1
Merge: 987cd6a 56edb07
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu May 9 14:03:39 2013 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 987cd6a1a27390ea875b30296eb71fa85b9c4083
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu May 9 13:32:55 2013 -0400

    Updated the method so that in the 2D case it doesn't save empty fields when models are nonexistent. This is useful when the param.train.flag is set to nucleus or framework

commit 56edb07566c122244c6323046a58a6ea9e3e499b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu May 9 13:32:55 2013 -0400

    Updated the method so that in the 2D caseit doesn't save empty fields when models are nonexistent. This is useful when the param.train.flag is set to nucleus or framework

commit 76cacc7ab46da6460112a7527b125c377105ff48
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed May 8 16:01:47 2013 -0400

    Removed check of the existence of the image folders

commit 50ceb6b761bbf4f1be2924d6cb4a754f14971900
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed May 8 15:59:42 2013 -0400

    Updated method so that when it fails it returns an empty list

commit 05ae58a67df382f21d3d3c2aa31a9f71d00fd688
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed May 8 15:59:04 2013 -0400

    Improved usage of param.synthesis flag for the 2D case

commit eb7237efaec121e6dae4028bf2c3afaaa5351218
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Wed May 8 09:58:11 2013 -0400

    Included support for reading intermediate results from Gaussian mixtures

commit a2ec4f6a0af9e0ef3ce4d4d263a9eca666b4cfd1
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 21:05:11 2013 -0400

    Update methods so that during training it will save intermediate results of medial axis and cell codes to prevent recalculation. Also implemented the training flags for the 2D case.

commit a3eb5cd50de4928f4d54d7f4635f90493d39eb36
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 20:16:38 2013 -0400

    Updated method so that it will save the temporary results of the cell codes so that it does not need to recalculate them

commit 35353599ea8acd92f8e5b9334dfd2320df12ed17
Merge: 1a8ec2d 2a3bbf7
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 19:09:08 2013 -0400

    Merge branch 'dev'

commit 2a3bbf7b2172e0c5610447c74a545cc35c2e8be3
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 19:08:59 2013 -0400

    Updated method so that if the number of images is less than 10, then it sets the number of components to the number of images

commit 1a8ec2d1d21e0068a50a3d3ccb6f6b092de996d4
Merge: ec7ba06 e3f5c0f
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 18:24:47 2013 -0400

    Merge branch 'dev'

commit e3f5c0f2d80d38012571539d7e6366fd773476bf
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 18:23:29 2013 -0400

    Included demo2D03 which synthesizes an image using the model trained in demo2D02

commit 5a5cd62aadf51d45288dcef2259d1c7cbac48f26
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 17:52:15 2013 -0400

    Commented warning message when object is placed outside of image

commit 8eec26382b51b0c97758e11adfce43fc9a70f6c4
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 17:41:14 2013 -0400

    Included demo2D02 which trains a generative model exploiting the fact that we support masks for input images

commit 7c5c4a19ba37f1ebe47a28dd74b2a73fab93590a
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 17:36:25 2013 -0400

    Removed copying of model from demo2D01 to demo2D02

commit 6b98714a93fcefe2eaad85a3ff013649c4bfade1
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 17:30:53 2013 -0400

    Updated method so that it supports image paths with wildcards. Also included support for masks/crops folder for training

commit 594e7254992ca122a8c56be254c68155f4d3c0e8
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 17:26:33 2013 -0400

    Updated method so that it defaults to a medial axis model by setting the swich case to a constant value

commit ec7ba065c5d0795341c2d02c19a156d102ff2c56
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 15:57:36 2013 -0400

    Updated method so that it loads Bio-formats when running setup

commit 25cff3073525a42cc19118138779b94fac12c0ec
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 15:36:04 2013 -0400

    Removed old and extra images added to demo2D00

commit c7910d3393a9aa69be89ac25389b69740c456f63
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 15:34:53 2013 -0400

    Updated demo2D00

commit d8c78e78a904f5855170c352baec39dc76a708b1
Author: Devin Sullivan <devins@cmu.edu>
Date:   Tue May 7 15:29:17 2013 -0400

    Update img2tif so that it doesn't save CellOrganizer output as binary images when it should not

commit 39e91b53136708564a70d44c7b41cac342c798a2
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue May 7 13:19:38 2013 -0400

    Updated demo2D01

commit 23a0c0989fdca530cdba031aa59334a472f30418
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon May 6 16:37:03 2013 -0400

    Allowed use of wildcards in file paths when training 2D models

commit 77a18ca82e5ece64a4b225b7e044347911663b19
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon May 6 16:12:19 2013 -0400

    Removed images from demo3D18

commit fba75318f4793cbeb9ad00afcc95bb85be95afee
Merge: 9a31cad 93456e4
Author: Devin <devins@cmu.edu>
Date:   Fri May 3 16:38:30 2013 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 9a31cad718311eb7308837247a302691411d31cd
Author: Devin <devins@cmu.edu>
Date:   Fri May 3 16:33:26 2013 -0400

    Utility for labeling images.

commit 739505d150d6296529d3aebcd67b7a0d57f1f934
Author: Devin <devins@cmu.edu>
Date:   Fri May 3 13:31:03 2013 -0400

    Final holefinding checks and updates.

commit 93456e4af224a45f410223f2d51f05eebed9bc09
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 3 11:51:24 2013 -0400

    Fixed method so that it uses the default value when param.train.flag is not recognized

commit 72f5be85ad9a0d8044d2a4ccc6dd33c08b0eadde
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri May 3 11:42:33 2013 -0400

    Fixed small bug that wouldn't return an answer if method failed

commit f65affa6e9384586e573c17e4261dc84c8a516a9
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 30 17:22:57 2013 -0400

    Update method so that it tries to open images using Bio-Formats by default and if it fails it will open them with imread

commit 1faeea483225503b1bcc6afd5ec0c48a1a629b9b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 30 16:56:18 2013 -0400

    Included alternative to ml_dir that returns listing with multiple wildcards

commit 686b0861ffc4a88ba48d2a898fd5996b3f13e59d
Author: Devin <devins@cmu.edu>
Date:   Mon Apr 29 16:50:12 2013 -0400

    fixes to img2tif and streamlining the 2D model

commit 903dcb1611157143b9a39f73f484873c0c926670
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Apr 29 15:55:56 2013 -0400

    Included Bio-Formats LOCI jar file and supporting Matlab scripts

commit be5669ee29edcf7a04e7325d6df0f2daf39e437c
Merge: 0df39a9 c1879ef
Author: Devin <devins@cmu.edu>
Date:   Mon Apr 22 18:35:07 2013 -0400

    Solved merge conflict.

commit 0df39a97fe1f6833df7fe16d575adc4a48c9f281
Author: Devin <devins@cmu.edu>
Date:   Mon Apr 22 18:20:41 2013 -0400

    Moved license file for vol3d to correct location.

commit 84fc0554748de7f644fbbbd496ff79813979c812
Merge: a247636 a957abf
Author: Devin <devins@cmu.edu>
Date:   Mon Apr 22 17:58:58 2013 -0400

    Merge branch 'holefinding' of bitbucket.org:icaoberg/cellorganizer into holefinding

commit a247636aab09009572921a4e76c9b7ec8c53fb23
Author: Devin <devins@cmu.edu>
Date:   Mon Apr 22 17:56:38 2013 -0400

    Changes to allow passage of paramstructures to gengaussobjs and syn2blender

commit a957abf48d9b5a113f2d02afe16ada1563cc648f
Author: Greg <greg@cmu-851144.wv.cc.cmu.edu>
Date:   Fri Apr 19 14:57:33 2013 -0400

    holefinding and segmentation optimization

commit d36c41ee7655204e9035a8bd1b3c25be53700704
Author: Greg <Greg@unikron.(none)>
Date:   Sat Apr 6 15:13:39 2013 -0400

    Modifications to enable hole finding

commit c1879ef9cd303733aa30f848db421fd0597447fe
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 3 13:47:39 2013 -0400

    Updated CHANGELOG

commit c6f86ba80650a274dd6e5f97a0a0d2e730bfaedc
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 3 13:47:16 2013 -0400

    Updated setup file to new version

commit d55a23f6a41a711ead2a5e63c6f9541f6d5032a4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 3 13:42:18 2013 -0400

    Updated trainer GUI to include resolution

commit b32df24d4e7fb6c6ba8c3b787276b9b19b250892
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 2 16:30:20 2013 -0400

    Fixed demo2D01. This demo didn't include the data resolution so it failed at writing the model to disk. Currently we don't use model resolution neirther for training nor synthesis for the 2D case but it is a mandatory information needed to make a valid SLML model

commit 8365a55585b6ac44d0777205adc27e84669afa4c
Author: Devin <devins@cmu.edu>
Date:   Mon Mar 25 21:36:30 2013 -0400

    added param option for blurring the holefinding and the data and preprocessed results for one 3T3 pattern

commit 9ad424f70fa10008b0395cf7cb4288f20eb5312b
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 25 17:41:38 2013 -0400

    Fixed problem where sort function used by ml_dir is incorrectly sorting elements alphabetically then numerically.

commit 14ab0a20c521aa3bcbcab0db24bebae7e0744148
Author: Devin <devins@cmu.edu>
Date:   Fri Mar 22 14:22:30 2013 -0400

    added option of whether or not to blur the image during nuclear holefinding. This option is recommended when you have more sparse proteins, but not when you have a pattern such as cytosolic protein.

commit bc92ffdf1ae5cbddbe887262ee55e6f711a357aa
Author: Devin <devins@cmu.edu>
Date:   Fri Mar 22 11:05:46 2013 -0400

    fixed holefinding and made structure flexible to take filestructures other than the HeLa dataset

commit c64ddf4e9c0c93b1dce11562cfb61c6343392107
Author: Greg <greg@cmu-851144.wv.cc.cmu.edu>
Date:   Wed Mar 20 17:37:41 2013 -0400

    utility function for saving images

commit 5c5a0ddd487918f469515cc9aa22214ef214029f
Author: Devin <devins@cmu.edu>
Date:   Fri Mar 15 17:44:32 2013 -0400

    fixed resolution bug causing synthesis to be order dependent for object resolution.

commit bb31da3d64befd5ef241b061a2f3a7eb917622a0
Author: Devin <devins@cmu.edu>
Date:   Fri Mar 15 17:39:53 2013 -0400

    changed params in blender file generations to allow for differing patch samplings depending on pattern

commit 59277a8bc0bb2dd9ceec6a4edb71061485e6f9e2
Author: Devin <devins@cmu.edu>
Date:   Wed Mar 13 16:40:56 2013 -0400

    created separate file for preprocessing called 'preprocess.m' from the sub file so that it can be called independently of img2model

commit d58953487a9fece7bb560ddd9d836b49b138986d
Author: Devin <devins@cmu.edu>
Date:   Wed Mar 13 14:17:30 2013 -0400

    pushing hole finding changes to hole finding branch. adding test of holefinding for HeLa dataset

commit 052830030db4e8b47ccc3b42543ee79df710b77e
Author: Greg <Greg@Unikron-2.local>
Date:   Tue Mar 12 00:29:58 2013 -0400

    Improvements to nuclear hole finding

commit 25a249b656e98581131fe2c59181e4d1f2033441
Author: Devin <devins@cmu.edu>
Date:   Mon Mar 11 15:41:51 2013 -0400

    making initial commit for holefinding branch

commit 8fb601301956ded8589f3a8d87884c9233d39e7a
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Fri Mar 8 11:13:34 2013 -0500

    Updated CHANGELOG

commit 88febc3330494e659affc64e6d1805eb3c5ef5eb
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Fri Mar 8 11:11:31 2013 -0500

    Updated AUTHORS file

commit cbc28ac7ad5de085c3b86204aae5c65b9e46f5b8
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Fri Mar 8 11:09:02 2013 -0500

    Updated 2D models to contain resolution for all models

commit 91124effdf5078dc69cb8c49f8e97abb5295c001
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 8 00:35:29 2013 -0500

    Updated method so that the default metadata for training a 2D model is similar to a 3D model

commit 4409faf41356cb6bfc2936c1de24e8d239920f11
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 8 00:34:56 2013 -0500

    Updated method so that figures are dependent on the display flag

commit 6bf2f8030098d7ec64e47e2416e473c627060e31
Merge: 5dc0e80 35836b7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Mar 7 16:53:16 2013 -0500

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 5dc0e805c62242dab2140a634827351670cb2323
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Mar 7 16:52:04 2013 -0500

    Updated method so that if the distance vectors in the cell codes structure are not of
    size 360, it ignores that image for training the ratio model

commit 35836b76cb8054ca3398c651ed59ad6f4f558bc0
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Mar 7 11:42:48 2013 -0500

    Removed bug from demo that was using the wrong url to download the data tarball

commit 22e6d1bd9f5e885e9e63a40336f0d5cfcaac976b
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Mar 6 23:05:39 2013 -0500

    Updated demo2D01 to use built in methods for downloading files and decompressing tarballs

commit 1d389a807b8c17c66b7a663720df32149735cf17
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Mar 6 19:29:32 2013 -0500

    Updated message in microtubule synthesis code

commit 96b353d2926a5bc215acd123a28f5f9fdea5a81c
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Mar 6 19:23:13 2013 -0500

    Removed error from method when checking the existence of nuclear instance

commit a46d0fc0010374931cb899b18294235ed56123b8
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Mar 6 19:21:55 2013 -0500

    Removed interactive message that displays generation of objects from protein pattern

commit 31be5b876b83c09fb068dcac499fc40c1d056374
Author: Devin <devins@cmu.edu>
Date:   Wed Mar 6 15:02:08 2013 -0500

    changed default protein model in diffeomorphic model to lamp2 pattern

commit 886228d85b79d9d4ed9ebcbc386d7a3c6a990063
Author: Devin <devins@cmu.edu>
Date:   Wed Mar 6 14:55:51 2013 -0500

    fixed resolution tracking for demo3D17, added resolution param structures to both demo3D16 and 17.

commit 140fb9d646581be38a9da3a0c83ffc53a1434537
Author: Devin <devins@cmu.edu>
Date:   Tue Mar 5 17:36:28 2013 -0500

    added code to handle premade/pre-segmented frameworks in model2framework and fixed demo3D16 so that it does the downsampling properly (speeds up demo considerably)

commit a4e1c633e85fa95ab93cb1903530dc7d32daf263
Author: Devin <devins@cmu.edu>
Date:   Tue Mar 5 14:25:07 2013 -0500

    fixed minor bug in resolution handling that was treating resizing of nucleus as equal for all dimensions (this is not true in the microtubule models)

commit ace50d62e56e6369d1f8e3b75bfd308239099d4f
Author: Devin <devins@cmu.edu>
Date:   Mon Mar 4 15:21:46 2013 -0500

    Corrected param.downsample in demo. Downsample is the number of times you wish to downsample the image and so should be >1. Corrected code sets param.downsample = 5; If a downsampling of less than 1 is specified the program will ignore downsampling and attempt to generate a mesh at the full resolution of the images.

commit e85668b05e23e6eada20ade50e54418b55f6002b
Author: Devin <devins@cmu.edu>
Date:   Mon Mar 4 15:18:40 2013 -0500

    Fixed 2D demo to assign outres when synthesizing an instance

commit c5320ce07f0c37c6496060b87eb1e3aefd23f583
Merge: a0ee72a 5a04e1f
Author: Devin <devins@cmu.edu>
Date:   Mon Mar 4 15:07:04 2013 -0500

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit a0ee72aa5fecdbf5ee32152b03c9dbd3e4d18682
Author: Devin <devins@cmu.edu>
Date:   Sun Mar 3 21:10:07 2013 -0500

    fixed 2D synthesis by setting outres in model2framework

commit 5a04e1f9a004e4c4e7b6fe583cb6f3fa134d8ebd
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Sat Mar 2 19:51:13 2013 -0500

    Removed temporary files left after last commit

commit 6a1dd849d15386d82ac147b59bccc2c83a4832af
Author: Greg <greg@Gregs-iMac.local>
Date:   Fri Mar 1 16:10:58 2013 -0500

    updated ml_rcthreshold for arbitrary bitdepth

commit 66c89cbb01b8ec23fb3a61676df54c8bc4642f6b
Author: Greg <greg@Gregs-iMac.local>
Date:   Fri Mar 1 16:07:50 2013 -0500

    crop image function

commit c07f46442ab49e5ac8feee5d21c94479ab6e65f3
Author: Greg <greg@Gregs-iMac.local>
Date:   Fri Mar 1 12:57:22 2013 -0500

    Updated to hole-finding code

commit 69d165eeb99d7e95c2cdbc08ce06856d012fa359
Author: Devin <devins@cmu.edu>
Date:   Wed Feb 27 18:31:03 2013 -0500

    fixed resizing stuff for MT model and commented other changes

commit 1c1fa476a37ca69629436ec5f8d101b1dae0c630
Author: Devin <devins@cmu.edu>
Date:   Wed Feb 27 18:16:04 2013 -0500

    fixed MT model resolution and centrosome placement models

commit b21eadcc15c2540019d84f3e00f7a4def590d037
Author: Devin <devins@cmu.edu>
Date:   Tue Feb 26 18:53:47 2013 -0500

    fixed small bug in resolution saving

commit 10546db137cce372f4942ee0d6f9e3f3a235de58
Author: Devin <devins@cmu.edu>
Date:   Tue Feb 26 18:01:01 2013 -0500

    manually adjusted model resolutions based on the new information from the training code.

commit 09634ed589b60aa1e1f40b4c2f458bb20aced7c7
Author: Devin <devins@cmu.edu>
Date:   Tue Feb 26 17:58:57 2013 -0500

    Fixed small bug in code to not try to resize from param.resolution.objects if the model is 'centrosome'

commit ba75c84d539b83ccd3adf6d08b1b3b83c1c1c21d
Author: Devin <devins@cmu.edu>
Date:   Tue Feb 26 17:53:14 2013 -0500

    fixed bug in training introduced by me on Feb  24

commit aec300f51de0664c59d22aa2933a8003050c2bd8
Author: Devin <devins@cmu.edu>
Date:   Sun Feb 24 16:14:16 2013 -0500

    revert to multiplying trained models by a constant, instead of being fixed at 5, user specified by param.model.proteinUpsampleZ and track resolution/downsampling correctly.

commit 58c6e71bcf77339032cbbd39154e1104fc5a296d
Author: Devin <devins@cmu.edu>
Date:   Sat Feb 23 12:45:50 2013 -0500

    training resolution fixes

commit 9933053fa664c42280376b3da7cee5de5da51e99
Author: Devin <devins@cmu.edu>
Date:   Fri Feb 22 18:47:37 2013 -0500

    Makes framework synthesis dependent on vesicular resolution (assuming cubic voxels)

commit 3da0973b41a7b43201ba5cc085cf5a3037e6d049
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Feb 22 11:43:20 2013 -0500

    Updated methods so that users can pass in a downsampling vector from the main method, img2slml

commit c59242a7126333d3828ece2dddace2bfada3a4a9
Author: Devin <devins@cmu.edu>
Date:   Thu Feb 21 17:05:15 2013 -0500

    fixed minor bug in last update

commit 8b521b61f0a28d52a1e50aa80bed82210cc9da52
Author: Devin <devins@cmu.edu>
Date:   Thu Feb 21 16:28:58 2013 -0500

    added cosmetic changes, ability for user to manually specify resolution, overriding the model specified resolutions while printing a warning to the user

commit 3a7aca5f4eaa96e887985ee6fa533dfb6dccc10d
Merge: 0e45bfc 94c5ddc
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Feb 21 10:03:21 2013 -0500

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 0e45bfc3460f3a4165d43e4b61f0d0340ce210c3
Author: Taraz Buck <tebuck@cmu.edu>
Date:   Thu Feb 21 10:01:22 2013 -0500

    Greedy3D_lambda_pre_compressed.m can now be called with option lambdas_are_distances_from_source = true to give distances to interpolate instead of lambdas for argument lambda_list (use of negative values to indicate distances is now deprecated), which works along with options known_distance, the approximate distance between source and target, and stop_source_distance, the maximum distance the source has to travel during integration (respectively (known_distance - stop_source_distance) for the target).
    compute_shape_space_model_given_images.m takes computes a shape space from input images.
    generate_frame_from_trained_shape_space_model.m synthesizes a shape for a position in a shape space.

commit 94c5ddcdb997fc1e214ad1f8cc349c40a8735c88
Author: Devin <devins@cmu.edu>
Date:   Wed Feb 20 18:52:49 2013 -0500

    fixed resolution extraction from models

commit c0e5a96535ea4b155685fb626e6b6e1f7adb8680
Author: Devin <devins@cmu.edu>
Date:   Wed Feb 20 17:16:03 2013 -0500

    fixed bug which forced all multi-resolution images to produce binary images. this broke the 'sampled' mode.

commit 8158f0003f53796b75e0e730b010b18a493c5d73
Author: Taraz Buck <tebuck@cmu.edu>
Date:   Wed Feb 20 12:45:21 2013 -0500

    Allows odd-sized A as well as B by the same mechanism

commit 93acddf7b2257a5a176cbd111ea5e3cf95fd6a56
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Feb 20 12:34:30 2013 -0500

    Changed relative directory path to be compatible with MacOSX and Linux systems

commit 9475444f5248df30942339c9a23843f3eaea41ce
Merge: ab7d052 0c7d327
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Feb 7 10:01:15 2013 -0500

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit ab7d0522992f9b0aebd48e5626991ec97b05269d
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Feb 7 10:01:05 2013 -0500

    Updated code so that during training a user is forced to input the resolution of the training dataset. The code then uses the downsampling vector and the resolution to calculate the resolution of the model and saves it to disk along the rest of the model

commit d7e9c2386a18b23b6fdf715e1967f4a50e17dea8
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Feb 7 09:27:24 2013 -0500

    Fixed small typo that was introducing a bug

commit 328ca95ea5f4a800b40f97d89e32e57925175666
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Feb 7 00:12:23 2013 -0500

    Updated demo3D12 to include the resolution of the 3D HeLa dataset

commit 0c7d3271d73068c2b8c66d207ed7e03e865c0864
Author: Devin <devins@cmu.edu>
Date:   Wed Feb 6 20:19:55 2013 -0500

    Return synthesized resolutions and modified MT code to work with multiple resolutions. Need to double check that this will work for the 'sampled' method

commit 7810fd7c4199a04c6c9c1a1a01157928d8e9fed4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jan 30 20:48:39 2013 -0500

    Plots will be shown iff display flag is set to true

commit 2d55371063b8ae03f13546117a9c3bfb3c520372
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jan 30 20:47:26 2013 -0500

    Removed old documentation from method

commit f4458449561eafdd626341c2669be3678594712a
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jan 30 20:37:21 2013 -0500

    Updated methods to use print displays according to verbose flag

commit 3bdcdcb884e77d2cf671a5d3acb7b8c3b29cadff
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jan 30 15:47:50 2013 -0500

    Made declaration of temporary folder, platform and opeerating system independent

commit 5ad05176958e96ec372c7572076572f425753365
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jan 30 15:38:48 2013 -0500

    Display of plots in this method will happen if debug and display flags are both set to true

commit e5489492e1cd150ceb6936a96a80f5453c98d735
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jan 30 13:51:45 2013 -0500

    Updated method so that if decompressed folder is found, then it skips decompression of the images tarball

commit a339fdeed4e7feff2d55ce31aca977675dab3b74
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jan 30 13:38:34 2013 -0500

    Updated code so that parameter isshow is always set to false

commit 1ff5b91efc6f3c94d38b0e3fda2b4639c0fa0328
Merge: 829868a 1eb653a
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jan 30 13:32:06 2013 -0500

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 1eb653a87b694a66d9c431ec35907ff07e0d97be
Merge: 49b77e6 4980bb9
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Wed Jan 30 13:28:37 2013 -0500

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 829868a03a802ec4e3c3f724f8fd6742d7ea1855
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jan 28 13:12:18 2013 -0500

    Updated method so that models are saved as mat files instead of XML models

commit 4980bb9cb85e5dcf009b309b3137bedea3e4c1f1
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Jan 28 12:29:07 2013 -0500

    Updated try/catch statements to print a detailed report when running debug mode

commit ead3c93ff4dd6d17e54e6e451f00c2563b8b55b9
Author: Devin <devins@cmu.edu>
Date:   Fri Jan 25 13:15:53 2013 -0500

    Added uint16 capabilities to ml_rcthreshold.m

commit 49b77e6d016e9dd9581e6021977c8c0e9e640fc0
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Fri Jan 25 11:28:38 2013 -0500

    Fixed bug in the interactive version of demo3D12

commit d880071149b7a6e7711e6dce220a9928c33a1a15
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Fri Jan 25 11:28:12 2013 -0500

    Updated demo3D11 to reflect latest changes in CellOrganizer

commit bb89d9711588d9597ddd940561603795552cc719
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jan 22 17:26:10 2013 -0500

    Modify method so that it extracts resolution information from first model in the list of models

commit 7d36fcb6fc7b429d05fb3e83c9e32ea257be8262
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jan 22 16:44:04 2013 -0500

    Modified if statement so that it checks whether resolution exists in parameter structure before querying it

commit e48b29ae68ebc768e994ec88fb8f552c6eaff8c3
Merge: 24ea440 ab22da5
Author: Devin <devins@cmu.edu>
Date:   Tue Jan 22 09:42:11 2013 -0500

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 24ea440e0363ce3bcd0a9f8c9cb3f1c892839215
Author: Devin <devins@cmu.edu>
Date:   Mon Jan 21 20:59:39 2013 -0500

    Changed resolution handling, added psf resolution, added contrast stretching to img2tif

commit ab22da57c3187470744e68137b14e5a9605dfd83
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 21 17:17:19 2013 -0500

    Fixed bug in diffeomorphic instance synthesis were the parameters of CellOrganizer didn't match the newly trained model

commit b88a7d67eb520ff034554c8864b86dcee8688472
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 21 16:23:13 2013 -0500

    Updated correct version of the diffeomorphic model of the cell

commit d90ff39320d01a10b1f446cb5455098f6e50671d
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 21 15:49:40 2013 -0500

    Updated model files with resolution of all the submodels

commit 5849a23b8722d00b3fc6a53709e7f8e17feccc18
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 21 15:42:10 2013 -0500

    Updated demo3D17 to look for the synthetic examples in the images folder

commit a8512cab551741d15d5425d289643f20c2d400b8
Merge: 0f87939 35c8425
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 21 15:08:12 2013 -0500

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 35c84259d8f298ee8df98e272342c05fa96aaffd
Merge: c70b26d 33882da
Author: Devin <devins@cmu.edu>
Date:   Mon Jan 21 15:07:05 2013 -0500

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit c70b26d6f5f759b91bb8210e0a9c3f1792b082b6
Author: Devin <devins@cmu.edu>
Date:   Mon Jan 21 15:04:21 2013 -0500

    Changed param.resolution to allow for a single specified model resolution for all object models or individual object models

commit 0f879399eadf7356146218fc6812dd78e1e55bef
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 21 14:54:11 2013 -0500

    Put construction of the object document model and the parsing of the XML file into two separate try/catch statements

commit 16b504020bd62300faf5b398587d08bb2a111cf2
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 21 14:52:51 2013 -0500

    Removed examples from documentation header

commit 79fb40bff1070872ad9f970c2cf3917c8da3da3c
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 21 14:52:03 2013 -0500

    Updated trainer to switch UI whe switching dimensionalities

commit 30cf6bd6c3a845500e227147f7cf3114825d8a85
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 21 13:55:18 2013 -0500

    Updated diffeomorphic model file

commit 1489e018cc4b4c78e5e0cc2f56117efbeaddeb5b
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jan 17 09:12:50 2013 -0500

    Removed check of jpg files from helper script

commit fb049b6aedecdb7cb1600618a19f450d1da2cbb3
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 14 17:09:15 2013 -0500

    Debugged and tested the trainer tool for training 3D models

commit dcacb5bd5eb7eebd6c180d2365dd0900db84bf69
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 14 11:34:09 2013 -0500

    Removed bug in Reset button method that tried to clear nonexisting fields from the GUI

commit 60542fef90f8bb3026edee3415b9cedc377e930b
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 14 11:23:52 2013 -0500

    Removed version number from splash screen

commit 073650800ff79f83eaa9116cf1e2e699dcddd4ac
Author: Ivan Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jan 14 11:23:18 2013 -0500

    Updated version number for next release to 1.8

commit 33882da7453f1639e3b76987bc905158d9fecf05
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Dec 5 01:33:32 2012 -0500

    Removed demo3D15_nowindow_downsampling_scale2_abserrstop test

commit 8d7832b4fe242ec9306bcc4c2a520d4aea32ff9a
Merge: 00d3fcd 788c49b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Dec 5 01:30:02 2012 -0500

    Merge branch 'dev' of git@bitbucket.org:icaoberg/cellorganizer into dev

commit 00d3fcd396eccb3bed01a842c50c21c03926ad89
Author: Yue Yu <yuey1@andrew.cmu.edu>
Date:   Wed Nov 28 17:12:26 2012 -0500

    Added absolute error convergence criterion option to Greedy3D_integration_compressed called convergence_absolute_error. Added an option to synthesize shapes with downsampling in the XY plane to make it faster.Changed demo3D15, generate_frame_from_trained_shape_space_model, etc. to use both of the above features.

commit 788c49b5f3c3d1a86160d4334ae396c1f939680e
Author: Yue Yu <yuey1@lanec1.compbio.cs.cmu.edu>
Date:   Wed Nov 28 17:12:26 2012 -0500

    Added absolute error convergence criterion option to Greedy3D_integration_compressed called convergence_absolute_error. Added an option to synthesize shapes with downsampling in the XY plane to make it faster.Changed demo3D15, generate_frame_from_trained_shape_space_model, etc. to use both of the above features.

commit 1a5d30bfcbe89731b1e2d598586f669c681b087c
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Mon Nov 26 13:52:48 2012 -0500

    Removed debugging statement left behind by previous commit

commit deee4635477d6dfef17e708b3a977b7903379369
Author: Taraz Buck <tebuck@cmu.edu>
Date:   Mon Nov 26 13:42:10 2012 -0500

    Included downsampling scale to parameter structure for the synthesis of instances from diffeomorphic models

commit 036ebbfc7445a84eba25c4b302611191a8687255
Author: Taraz Buck <tebuck@cmu.edu>
Date:   Sun Nov 25 17:32:52 2012 -0500

    Included the maximum deformation per step to model2framework and removed a bug that was setting the maximum iterations to 2

commit 15cadca6cdd0b4509d1945261612176f4a0cb947
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Nov 16 17:45:10 2012 -0500

    Updated and cleaned code of demo3D11

commit e9c3df5f525d83612ebda24a7655f6696d53acec
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Nov 16 12:19:55 2012 -0500

    Updated code so that parameter structure can be passed to model2framework to allow model2diffeomorphic to inherit parameter values from slml2img

commit 983ad617fbe1916c6fccfca45c763737a1c1db78
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Thu Nov 15 17:23:32 2012 -0500

    Updated demos so that they clear parameter structure rather than clearing all variables in workspace

commit 7a67a4f052a6c7a995aa1c73fa9868551e86752f
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Thu Nov 15 17:21:38 2012 -0500

    Tentative update of diffeomorphic instances generation

commit 9ee277f35542613d6d3263226327e6ca053a1cc9
Merge: 692d621 bc281b6
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Thu Nov 15 16:59:31 2012 -0500

    Changed warning to display message

commit 692d6214bcbeb5892e9ca155830ba122dfe56648
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Thu Nov 15 16:58:00 2012 -0500

    Added license and updated messages to command line

commit e0fe45c94ec4f88c8a95bab4e2baaad4156e0367
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Thu Nov 15 16:42:08 2012 -0500

    Changed warning to regular display

commit 65ee64cace1b3d83ba6e5d0debf58595398d2f68
Author: Ivan E. Cao-Berg <icaoberg@scs.cmu.edu>
Date:   Thu Nov 15 15:22:55 2012 -0500

    Changed warning to regular display

commit baa553a95e6ec5a4c3eb8fba794464bbd739b00b
Author: Devin <devins@cmu.edu>
Date:   Wed Nov 14 12:07:00 2012 -0500

    Fixed the resolution adjustment in model2instance. Required rewriting param.nucleardist and param.celldist as well as param.nucleus
    and param.cell in addition to the read in 'nucleus' and 'cellMembrane' images which seem to be unnecessary copies of the
    param.nucleus and param.cell images respectively.

commit bc281b6ae7e5d2b08915e499046b9f6451025d34
Author: Devin <devins@cmu.edu>
Date:   Wed Nov 14 12:07:00 2012 -0500

    fixed the resolution adjustment in model2instance. required rewriting param.nucleardist and param.celldist as well as param.nucleus and param.cell in addition to the read in 'nucleus' and 'cellMembrane' images which seem to be unnecessary copies of the param.nucleus and param.cell images respectively.

commit 458a25ea5c63c81289a274555ff0eade8cff1e80
Author: Devin Sullivan <devins@cmu.edu>
Date:   Tue Nov 13 13:15:15 2012 -0500

    Included resolution parameter that allows the user to input the cell framework resolution and the output resolution of the protein images so that synthesis occurs at the same resolution

commit e102b9913f66d4a5ea1cb55a47773dd0ff78427f
Merge: c8df373 b962ddc
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Nov 12 13:39:47 2012 -0500

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit b962ddc01d5a1806faf219433d6a51086626378d
Author: Devin <devins@cmu.edu>
Date:   Fri Nov 9 15:50:54 2012 -0500

    adding smaller .obj files rather than the really large ones

commit c8df37324e7df8f5a63add6eacf09b4a3fea0f6d
Merge: e01f7b8 367595f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Nov 9 15:46:50 2012 -0500

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 367595ffbe8c62d9796412dc401203a4fe6f9621
Author: Devin <devins@cmu.edu>
Date:   Fri Nov 9 15:45:32 2012 -0500

    Improved im2blender.m to include a reducepatch call which downsamples the number of verticies in the mesh. This makes the .obj file much smaller. Also added the amount of reduction to the inputs for im2blender and created a default catch of 0.05(5% of the original image verticies are kept) which I found to be suitable by visual inspection in Blender. Cosmetic changes to demo3D10.m.

commit f479590b30787d69f322d5d964dd800801debf7a
Author: Devin <devins@cmu.edu>
Date:   Fri Nov 9 15:41:45 2012 -0500

    Fixed bug in img2slml.m, model.cellShapeModel.type was being set wrong

commit e01f7b87c30427343b521d71ed92dbc9b9359a5c
Merge: 3c7c2bd 7b44500
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Nov 9 15:37:41 2012 -0500

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 7b44500907d1c04a03a67d3115f1748b4d4f4f35
Author: Devin <devins@cmu.edu>
Date:   Fri Nov 9 15:24:29 2012 -0500

    Fixed bug in img2slml.m, model.cellShapeModel.type was being set wrong

commit 3c7c2bd07bbc3af3cdddd91e55e112e6eeadf379
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Nov 8 13:58:51 2012 -0500

    Changed location of test image for demo3D16 to a permanent location at the root directory so that it can be shared by multiple demos without being associated with particular one

commit 17c9933fcf4cab3f46291d00a63549696069fb2a
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Nov 8 10:28:25 2012 -0500

    Updated method to make call to convnfft_fast rather than convnfft_faster

commit 5c82b6db4314af56fa1968c47f4c0d45fd80f13d
Merge: 8983171 05804a4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Nov 8 10:13:58 2012 -0500

    Fixing automerge conflicts

commit 8983171f7e4174a3a7df1acab48268a13180a0b7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Nov 8 10:02:39 2012 -0500

    Removed old copy of convnfft_fast

commit 05804a49ddf49f16e91fbb7d549093f986305ba2
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Nov 8 09:55:37 2012 -0500

    Renamed convnfft_faster to convnfft_fast

commit a6bed090cdcbea6b36964676bb01551255f3162f
Author: Taraz Buck <tebuck@cmu.edu>
Date:   Thu Nov 8 09:36:35 2012 -0500

    Modified methods to use convnfft_faster rather than convnfft_fast

commit c51a317a355e8b0469eebba38b970f23e32f2faf
Author: Taraz Buck <tebuck@cmu.edu>
Date:   Thu Nov 8 09:26:28 2012 -0500

    Optimized faster version of convnfft_fast

commit ffd27def18ba4affee7e7797623e24f50fb0f51f
Author: Taraz Buck <tebuck@cmu.edu>
Date:   Tue Nov 6 10:46:00 2012 -0500

    Updated synthesis code to use Euler integrator

commit 48a4f5f7150081538a6805c3b3b28df834ed5126
Merge: 953a376 f67daff
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Nov 5 14:16:44 2012 -0500

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 953a3767835a263be51978a62a7c9c5171e8a481
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Nov 5 14:14:30 2012 -0500

    Updated demoinfo file to include demo3D17

commit f67daffc8eb80e5f0ed5c052abea7db20508109e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Nov 5 14:14:30 2012 -0500

    update demoinfo file to include demo3D17

commit 409fd1563a2c01a1c15f7f7d111f321a651cf820
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Nov 5 14:12:01 2012 -0500

    Included basic template for demo3D17. Needs inclusion of param.resolution

commit 2a6bc3cee51ede981e14928936956ff8411c2540
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Nov 5 12:35:20 2012 -0500

    Included synthesized images for demo3D16

commit 59dcddc774cbfba0a4266da20ea9ca524bd7eb21
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Nov 1 18:08:38 2012 -0400

    Update demoinfo file

commit b04e1ddf3e9ec5353679b6c6f1f7eb35ed43b11c
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Nov 1 18:07:54 2012 -0400

    Included demo3D16, which synthesizes an protein pattern for a framework given as input by the user. This demo is meant to show the new functionality at which a user can input a framework to slml2img

commit 99b61b6cde2d002d8186ca78d2ea6f8d9348b929
Merge: ae8a654 257b557
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Nov 1 17:18:20 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit ae8a654fd18dfafcc9fe2464771690c18f17c157
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Nov 1 17:17:37 2012 -0400

    Included synthesis method selection to parameter structure that allows the user to specify whether to use convnfft or convnfft_fast when synthesizing instances from diffeomorphic models. Even though this option is accessible from slml2img, it has purposely not documented due to the fact that at this point is meant for testing purposes

commit dd8d83555feca383f344b5cb0e7a8c5c43bacdb4
Author: Taraz Buck <tebuck@cmu.edu>
Date:   Thu Nov 1 17:09:27 2012 -0400

    Included an alternative implementation to convnfft

commit 257b5578cb6482954976ad286ab23425bc784624
Author: Devin <devins@cmu.edu>
Date:   Thu Nov 1 13:33:12 2012 -0400

    Fixed comments that had become uncommented somehow and caused code to crash

commit a565d4f46b1ccda5fb3fe40ae90114f77ea0a327
Merge: fb4ec03 a8feb98
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Oct 31 12:00:11 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit a8feb98235951263879b2c0b5df817b6bba4edf0
Author: Devin <devins@cmu.edu>
Date:   Mon Oct 29 16:01:23 2012 -0400

    Fixed bug in im2blender.m, decreased isosurface threshold to detect boolean objects

commit fb4ec03519290832ece57e2468fd4c36255d726b
Merge: d7ebe26 4eab2f8
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Oct 24 19:06:09 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit d7ebe265b596e9ca7635182d8cf4043dacc0e7cd
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Oct 24 19:05:48 2012 -0400

    Modified convnfft to call ifftn rather than iterating through all dimensions using ifft

commit 4eab2f8c7ec154f7c44d989ddcd142b9814405c0
Author: yuey1 <yuey1@andrew.cmu.edu>
Date:   Wed Oct 24 18:54:25 2012 -0400

    Moved Greedy3D_integration_compressed folder into temp folder

commit 61d698e9e4fc09dc4b76226575707185500f335a
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Oct 23 11:06:07 2012 -0400

    Updated demo3D15 to include option that only synthesizes the framework from the model it calls

commit a4edda53e47078093a790f18284587e589feb46d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Oct 23 10:55:20 2012 -0400

    Included mex file for inplaceprod.c for MacOSX

commit 84d4a8935775aa574ae07cc2f065f828f7f72a02
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Oct 22 15:30:00 2012 -0400

    Updated CHANGELOG to old format

commit 2ae73abb45e2b6098322afdf314f3721315976dc
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Oct 22 15:27:57 2012 -0400

    Added Matlab 3D figure to 3D (X)HTML. This function FIGURE2XHTML converts the 3D objects of a Matlab figure to an in XHTML
    embedded X3D file. In a modern browser, you can then view your figure interactively because of the great X3DOM Library.
    
    http://www.mathworks.com/matlabcentral/fileexchange/32207-matlab-3d-figure-to-3d-xhtml

commit c479f36274e65882252e5ceca4eb04fcb2fe34ca
Author: yuey1 <yuey1@andrew.cmu.edu>
Date:   Fri Oct 12 16:27:30 2012 -0400

    Added a method to create a 3d sphere image to test nucimg2nucsurf, fixed a interpolation bug in nucimg2nucsurf.m

commit 1a0072ad002e085aa2961230f36a6d6f1b2a582f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Oct 12 14:18:02 2012 -0400

    Documented method, added check of input arguments, encapsulated method in try/catch method so that method returns empty array if it fails

commit f0157255b44a6bfdbce36e8ac2287fcd9cb449ab
Author: yuey1 <yuey1@andrew.cmu.edu>
Date:   Wed Oct 10 18:10:42 2012 -0400

    Added a method to generate nucleus surface from nucleus image

commit bceac442add5e0e04bb438a0049eb40292038a6c
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Oct 9 17:04:06 2012 -0400

    Added new functionality to CellOrganizer that allows the user to decide to
    synthesize a nuclear instance, a cell instance, a framework instance or
    all. The default value is all, which mimics the previous functionality of
    CellOrganizer. This was added in request from other developers who are
    using this toolkit.

commit 987d5d1cb4b716cd741dddef11d8e6c7c832b808
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Oct 8 14:37:35 2012 -0400

    Included demo3D15, which synthesizes a framework from a diffeomorphic model

commit 3075c96c97e3ef91cdac7221d0b3e32bcf5df0ba
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Oct 8 14:35:45 2012 -0400

    Updated model2img to stop the synthesis process if the nuclear or cell synthetic images are returned empty from model2framework

commit 8ab310199358946d8473b70ee2268f6354455c8b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Oct 8 14:34:03 2012 -0400

    Updated model2framework to include a switch which considers the synthesis of instances from diffeomorphic models

commit 72fd978ef2be40bda872ae082b9a0b51fbfbc9f0
Author: Taraz Buck <tebuck@cmu.edu>
Date:   Wed Oct 3 15:29:08 2012 -0400

    Updated LDDMM distance to work on 3D images by replacing mean2 with three calls to mean

commit 73ace3b0e7fa059d5c996476001c0d055014e418
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Oct 3 14:46:14 2012 -0400

    Updated diffeomorphic model file

commit 05b91972916705ac94c5e79f3adbd15d45605237
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Oct 2 11:17:34 2012 -0400

    Added GPL license for CellOrganizer to the licenses folder

commit eda10e02209c1971dfd1e1af3e33018ff55e35d7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Oct 2 11:17:03 2012 -0400

    Fixed a bug in setup.m that would throw a warning when it tried to removed the licenses folder from the working path due to the fact that it was never added to path in the first place

commit 46a8928b454c44fcb3a72d94630ccfad16d295a1
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Oct 2 01:22:17 2012 -0400

    Removed cvs directories from this repository that correspond to the additional packages used by CellOrganizer. Online copies of all of the original packages can be found in the online repository

commit 1f8c7d10f600123f00e69c57e85f8151bc44459c
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Oct 2 01:18:22 2012 -0400

    Moved all licenses to a common folder in the top directory and then added a line to setup.m that ignores this folder when recursively adding all folders to the working path

commit 9b25108e57da261f60aaf9c6b50bbc8e8fa85bc6
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Oct 1 19:10:50 2012 -0400

    Added scripts to synthesize images using diffeomorphic models. The current update does not work on Windows 7 x64, and will test in Linux

commit 705c19706afd9de65807f543cd6b1d5f19e888a2
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Oct 1 16:36:00 2012 -0400

    Removed deprecated code from previous versions

commit 7986f6f257633d9aa669959ae5af05b32aad3bc3
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Oct 1 16:22:15 2012 -0400

    Updated code so that if model2framework fails to make a framework and
    returns an empty array, then this method returns an empty cell array as
    well as throwing a warning if the flag is true

commit ed979e006e48085bd2f7bd29040cc7147ea71c74
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Oct 1 16:14:48 2012 -0400

    Added diffeomorphic model structure so that the method knows what to do when a model of this type is added. I also added a default value so that if the model type is not recognized, the method returns empty nuclear and cell images

commit d9bf2449eaba84ba554e29aee8c9d209378cc006
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Sep 28 15:42:10 2012 -0400

    Fixed a bug in the existing models. The cell shape model type was set to 'medial axis' and it should have been set to 'ratio'

commit 1ae8f07f7b7a68d16433658f05004254ddb81bfb
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Sep 28 13:39:52 2012 -0400

    Added temporary 3D diffeomorphic models used to synthesize images. These models are temporary in the sense that they are the original files used by Taraz Buck in his code. Eventually this models will be turned into compliant SLML instances

commit fcf959f65f0a22dbe03f376532e0cf06e27ab228
Author: Taraz Buck <tebuck@cmu.edu>
Date:   Fri Sep 28 12:17:51 2012 -0400

    Included main methods for generating 3D frameworks using diffeomorphic models. This code does not include training of the model, only the synthesis side

commit 6b6604c07392dc41cd97a4e1aa450f907ea74ec9
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Sep 28 12:04:07 2012 -0400

    Included 3D deformation code originally written by Wein by Wei Wang. This code calculates the distance matrix for the diffeomorphic project

commit b0ee50460b781405b7355ee6393da05040570ab0
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Sep 7 16:33:53 2012 -0400

    Efficient test for points inside a convex hull in n dimensions
    
    http://www.mathworks.com/matlabcentral/fileexchange/10226-inhull

commit 0ef9b3aca2a9b23b7215ea84af951b3dbb384aa3
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Sep 7 16:32:33 2012 -0400

    Exports figures nicely to a number of vector and bitmap formats
    
    http://www.mathworks.com/matlabcentral/fileexchange/23629-exportfig

commit 708db0809ee0e744f68d9929a3501e1e4dc9fa1f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Sep 7 16:28:49 2012 -0400

    MD5 or SHA hash for array, struct, cell or file
    
    http://www.mathworks.com/matlabcentral/fileexchange/31272-datahash

commit acdf78b72cfe0eb6631a46b716cbd44575823fac
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Sep 7 16:27:21 2012 -0400

    Compress Matlab variables in the workspace
    
    http://www.mathworks.com/matlabcentral/fileexchange/25656-compression-routines

commit f5ff5f130b6b07e8d502a7cd3c1f0c820ce9074d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Sep 7 16:24:10 2012 -0400

    Discrete convolution using FFT method
    
    http://www.mathworks.com/matlabcentral/fileexchange/24504-fft-based-convolution

commit f56e4c1472a45d9a6825a5cd7dcd807805ed6f8f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Sep 7 15:50:05 2012 -0400

    Added a package that integrates systems of differential equations until
    stability is reached (or time is over)
    
    http://www.mathworks.com/matlabcentral/fileexchange/25201

commit 168cb2979288338f566d41cfbb720bcaff38010c
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Sep 7 13:53:48 2012 -0400

    Updated package to version 1.7.2

commit 00b9e51b9991223041f544c81023af2e36bf1477
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Fri Sep 7 13:51:10 2012 -0400

    Added boolean flag to method

commit 3c8c504e50a8a1028115265f399148b3f58e6b2f
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Fri Sep 7 13:26:49 2012 -0400

    Modified method so that it returns a boolean flag instead of throwing an exception

commit c9bd22be6e77f24f1c54770d6fb4e0a7071252f3
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Fri Aug 31 15:36:35 2012 -0400

    Changed calculation of minimum and maximum

commit bffaa47c7f35960b50421d5dbba3e2fa5caab4db
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Fri Aug 31 15:27:37 2012 -0400

    Added method that finds the largest hole in cell by subtracting intensity values and then uses this hole as a seed for adaptive thresholding

commit 21cc7d528e454c2151cf26d33fa5990eb96d62ca
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Fri Aug 31 15:24:03 2012 -0400

    Modified method call to include parameter structure

commit f17a01c0d0dc3bbaa69671deceb42a98a69d4d33
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Fri Aug 31 15:16:38 2012 -0400

    Added routine to determine if any folders are missing and if so, attempt to
    make those folders and approximate the data that belongs in them (i.e. if
    the DNA folder is missing, use the cell or protein folders to find the
    "nuclear hole" and build a mask for the cell

commit 6b59340d70ec0fdeeacd1b6b3a39a9f570e30666
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 28 16:41:13 2012 -0400

    Updated code to version 1.7.1

commit 5ac5a32a8ba7de677a1ce85492fd35154485b835
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 28 16:40:51 2012 -0400

    Updated CHANGELOG to reflect changes for version 1.7.1

commit 930110f3c76099492f210e1a76a7b15c2140ed62
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 28 14:31:57 2012 -0400

    Updated demoinfo to include demos 3D13 and 3D14

commit fa278b4057926d820057d9eed27b0c328bc2b819
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 28 14:31:22 2012 -0400

    Added syn2projection, a helper method that creates projection from a folder of synthesized images by CellOrganizer. I also included demo3D14, which shows an example using syn2projection

commit b93fdf9fe5c303727055947fbc3b104313843f7c
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 28 14:20:17 2012 -0400

    Added syn2blender, a helper method that makes object files from synthesized images that can be imported in Blender. I also added demo3D13, that shows how to use syn2blender

commit 6e976d3736236a744cc2ae9304207109379028a3
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 28 11:23:16 2012 -0400

    Fixed typo in method called that use to call the old methods name. This would produce a warning in older version of Matlab

commit 016a5e45125d78c0ef6d6cdc16a2d51e92c30cb2
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 10 15:34:19 2012 -0400

    Moved the GUIs to the utilities folder

commit d6afb47795536290b049485cc313f0983147c61b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 10 15:31:45 2012 -0400

    Reflected changes from renaming of methods

commit 4a40042447d1eb20682cd09bf54ff90c23ded696
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 10 15:30:55 2012 -0400

    Renamed img2blender to im2blender

commit d109d9ebff82727c6e60c6e04a67e3d3edb65478
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 10 15:10:27 2012 -0400

    Renamed img2projection to im2projection

commit b956a4e7f795bdd6b8525193e8d5c7381aede20f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 10 15:06:05 2012 -0400

    Renamed img2plot to syn2surfaceplot

commit 0039d3a1276103edf1a43bc4e3d4dec37398e4b9
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 10 14:54:16 2012 -0400

    Renamed img2index to ims2index

commit 49bda96198070ffb6ee47ef87121354911dd4f20
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 10 14:42:00 2012 -0400

    Added README file for demo3D10 that explains how to import the output from this demo to Blender

commit ef4503c247fce798d55f8460da5f4d51efa49a75
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 10 14:31:24 2012 -0400

    Added PNG file showing the plot from demo3D02

commit 749b68c44aa035af28d4bd52edc1c756d96b94d6
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 10 14:27:34 2012 -0400

    Updated demo3D02

commit b623acf2ffa892456d918abc120dbfc60c84142e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 10 13:41:30 2012 -0400

    Updated version number in setup file

commit 6a98d011f60d5a4b3e510a185882a6a47f5440f1
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Aug 8 00:13:11 2012 -0400

    Added all demos, revised all scripts and included all synthesized images

commit 55ecfe93d8409ba5987d26592447690aef54193d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Aug 8 00:06:49 2012 -0400

    Removed old demo folders

commit ffaf7f41fc04cbd15e42df7410fea7612fcc9ba4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 7 15:57:54 2012 -0400

    Fixed paths in demos

commit 4fc847fd6ce16256ed1eb28ca72d93cc1b45e115
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 7 15:53:38 2012 -0400

    Removed faulty synthesized images from distribution

commit 984c5885a0bff470416563a3511e728c01a3a943
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 7 15:51:42 2012 -0400

    Updated CHANGELOG

commit 2094b1295614b0e81051cf846d07d89c8e6ff0cb
Merge: b68bfe0 e1dceea
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 7 15:28:05 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit b68bfe0370ebd63364aa8448de2ef2a1a6767ade
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 7 15:27:46 2012 -0400

    Updated images for all 3D synthesis demos

commit e1dceea723c7d5cc9d1c3ba5843f1e3d088ee0fd
Merge: 975f144 9db99d1
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 7 14:59:57 2012 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 975f1444fd016343b5e2ee3c0dff012b046a6160
Merge: d373408 f8c2bd8
Author: Devin Sullivan <devins@cmu.edu>
Date:   Tue Aug 7 11:21:37 2012 -0400

    Optimized code to speed synthesis

commit 9db99d1ef35c6a57513c53b32f0640cab27e9646
Merge: d373408 f8c2bd8
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 7 11:21:37 2012 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit d373408d4816f3aea09e36b239a48ddc3b7f9beb
Author: Devin Sullivan <devins@cmu.edu>
Date:   Tue Aug 7 11:18:11 2012 -0400

    Updated models to reflect changes by previous commit

commit f8c2bd8d038f40b9b2689ea4bcb83b8684c1cb9b
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Tue Aug 7 11:18:11 2012 -0400

    Optimized method

commit 27509cea22ce9760d84d7d373d6ebca3fc1d42f9
Author: Devin Sullivan <devins@cmu.edu>
Date:   Tue Aug 7 10:54:59 2012 -0400

    Changed binning to allow for objects larger than 20 pixels. changed variable names so that the z_x distribution is learned correctly rather than on over written x values.

commit 7f0d42751a8570f117bade27405f1464b9c5b5a6
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 7 07:16:01 2012 -0400

    Removed debugging statement left after testing

commit 92b81a447480b7d5c561cd9dd5788f5e541869d7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Aug 7 00:00:23 2012 -0400

    Updated new models

commit b163f00791510d0c70c3986db27415be5387157c
Author: Devin Sullivan <devins@cmu.edu>
Date:   Mon Aug 6 23:52:58 2012 -0400

    Undid some of the previous changes such as binsizes. Go from 0-xobjsize==30 (arbitrarily chosen) and use a max_xbin = 15 (arbitrarily chosen).

commit 97c303371db646de5d735738e2730101057b042b
Merge: 88ffcd6 40560b1
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Aug 6 17:59:04 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 88ffcd621ae3ce109ec7a98b449bca178a821199
Author: Devin Sullivan <devins@cmu.edu>
Date:   Mon Aug 6 15:44:50 2012 -0400

    Ammended the training of the object size model for the Gaussian model protein pattern

commit 40560b1901b15b7a3c1e8be237be9adbe08c1d92
Author: Devin Sullivan <devins@cmu.edu>
Date:   Mon Aug 6 15:44:50 2012 -0400

    Added check that a sampled object is representative of the distribution

commit 88c13f9d29607e4ee79775dfd5822f211608ea01
Author: Devin Sullivan <devins@cmu.edu>
Date:   Mon Aug 6 14:18:19 2012 -0400

    Removed "trimmed" method, no longer supported and fixed memory bugs. Moved object sampling inside for loop so
    that the objects don't have to be held in memory before being added. Added check that a sampled object is
    representative of the distribution.

commit 6611a32f9b117015290479780865eaafd6973ddc
Author: Devin Sullivan <devins@cmu.edu>
Date:   Mon Aug 6 13:55:08 2012 -0400

    Passed param.nucleus and param.cell from parent call to save memory

commit 81a1ea38ca0ed21589795c41040e1a0a2d43ad7a
Author: Devin Sullivan <devins@cmu.edu>
Date:   Mon Aug 6 12:14:40 2012 -0400

    Added param structure to the method, param.imagesize contains the size of the cell image which the objects
    will be added. This is used to make sure we don't waste memory making object images that can't fit in the
    final image.

commit 7fa051c6a835bfc0c867cad36e35bf13dc32b5ed
Author: Devin Sullivan <devins@cmu.edu>
Date:   Mon Aug 6 12:10:02 2012 -0400

    Added param structure to the method, param.imagesize contains the size of the cell image which the objects
    will be added.

commit 6cc2febdc2ceb54c5825e2e1c904e726eb16fc8c
Author: Devin Sullivan <devins@cmu.edu>
Date:   Mon Aug 6 11:51:35 2012 -0400

    Added logical image contrast stretching

commit 490cca6c42953d282bb3731048177f1ba7710d22
Author: Devin Sullivan <devins@cmu.edu>
Date:   Fri Aug 3 15:15:29 2012 -0400

    Optimized code so that Gaussian objects are generated and added one at a time in order to prevent memory leaks

commit 6f8463bc87d1b6deaace6be7d5e1188471b3d81a
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 3 14:52:57 2012 -0400

    Updated seed in demo3D05 and included the synthesized images

commit 646233bdc301b6a01fee4b666c4b9a1ed4d0a806
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 3 13:35:14 2012 -0400

    Removed debugging statement left by mistake

commit 40c8f01f15763556b248c5b7203667a98ca74ca7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 3 13:20:39 2012 -0400

    Included synthesized images for demo3D03

commit 6cb2a908f96ef28de949e8a85261f1c0135cbd41
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 3 13:19:52 2012 -0400

    Updated seed in demo3D01 and included the synthesized images

commit f16fbc46d460f39a993a2e1fabe75d025a392a8f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 3 13:15:57 2012 -0400

    Updated random seed in demo3D00

commit 146c5a15c9f4f719a86206d082c96dcb3c23696a
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 3 13:14:05 2012 -0400

    Added images for demo3D00

commit f85b24ffbc6529b55a3537101d5165a02b4ad308
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 3 08:00:20 2012 -0400

    Update code so that the size of the starting image is greater in size to prevent the synthesis of cell shapes outside of the image

commit 55ff21f1e589396e765e4a62b7171b3d57b26662
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Aug 3 07:57:37 2012 -0400

    Updated new 3D generative models

commit 4394c2b5e2f94ed9b73e99ccf42170dde1e613a4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Aug 2 14:20:14 2012 -0400

    Fixed bug in seg_cell_and_nucleus that was saving the top and bottom slices of the DNA images instead of the cell image

commit 67f1b0d411cacafff345cb09e3fcd6ec91abd0e2
Author: Devin Sullivan <devins@cmu.edu>
Date:   Thu Aug 2 12:25:27 2012 -0400

    Added masking of protein image using segcell, the preprocessed mask
    calculated when learning the nuclear and cell shape models. This ensures you
    find no objects outside of the segmented cell

commit 77aed881b0889f30694abf8b5b8a7195b479d979
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Aug 2 11:36:11 2012 -0400

    Added debugging statement that prints a message if spline features calculation is not successful

commit c51ce2ba6845e7512cfcc82fbba79dede4f638a8
Merge: b95d2c7 ca1d989
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Aug 2 09:18:56 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit b95d2c71a0cd88f2e4e90b785d5cc818ca98c637
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Thu Aug 2 01:00:53 2012 -0400

    Updated code that learns the Gaussian objects for the protein shape model and made changes to
    the synthesis of nuclear and cell shape as well

commit ca1d9898611ae8cc0286957b3447254ecb2ffa4c
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Aug 2 01:00:53 2012 -0400

    Fixed bug where the image directory loop would ignore the first two images

commit 19917c71bddae40c2d1a54a3ee341613a3eabc5e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Aug 1 18:47:47 2012 -0400

    Modified the code so that is saves the bottom slice index and top slice index of the
    original image with respect to segcell.

commit e67185d1fd14c9d969f6ad88ef0ab0b3da8b6cb1
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Aug 1 18:23:10 2012 -0400

    Fixed a bug in the code that would insert an artifact to the end of the image that would
    later be considered by the algorithm as an object and affect both the frequency and size
    models

commit 82e8aff70d888e8850de95b20f68e63ebe93e015
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Aug 1 12:42:13 2012 -0400

    Updated 3D mitochondrion model

commit e9b6d82e0bf5f751d8ff0fb6b8c074249b5bebd1
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Aug 1 12:41:20 2012 -0400

    Removed copy of ml_loadimage.m

commit 9c7f157055ec6606d6ad20d5c713b989b4883d7d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 31 14:28:58 2012 -0400

    Updated new models: lamp2, nuc and tfr. Moved location of framework model to demo3D11 and removed old definition from SLML

commit f0cd915346e397812cc6a264a1f7505299d0c773
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 31 10:25:20 2012 -0400

    Fixed model.proteinShape.class that was set to lysosome for all patterns

commit db10561cceefca5b4c779f2423c970ccea359a48
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 31 09:16:48 2012 -0400

    Removed removal of temporary folder when synthesizing an image

commit c79939876f82488f5b4e0c0adf413a58518583fe
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 30 18:10:53 2012 -0400

    Fixed model parameter that describes pattern name. Fixed cytonuclearflag so that it is set to be nuclear when the nucleoli pattern is selected

commit 0c4be4eb0f6e7eab4e0fa2be411f2a67efebd5b5
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 30 17:41:23 2012 -0400

    Modified code that is res files in the temporary folder rather than the folder itself. This way if a user trains a model and synthesizes images in the same script, the temp
    folder remains intact in case it is run in debug mode

commit 9ff8a8008fec1307933a8c3226ac4ec0ea70ebcb
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 30 17:40:32 2012 -0400

    Fixed support for lognormal sampling

commit 0004ba65a46a93fc0b7cadc84c8a6425e6d51173
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 30 15:31:58 2012 -0400

    Fixed a bug in the method that would not set theocation of the framework file is the number of input  arguments was not zero

commit d4590adc160b6c035422a663ca36671155979fc7
Merge: fe35ac7 281cee7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 30 13:47:18 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit fe35ac7cef42031aa2d61da0a3d43a9a4b1e4eca
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 30 13:47:08 2012 -0400

    Optimized code to include a parameter that will filter objects by their size. The default value for this has been set to 10 pixels. The learning of the object size model has also been modified so that it fits to a lognormal distribution rather than an exponential

commit a8e0d25c648b8c6c95fe429c98ed186bbfcd61f5
Author: Devin Sullivan <devins@cmu.edu>
Date:   Fri Jul 27 19:40:31 2012 -0400

    Included sampling from a lognormal distributions

commit 281cee78ee1a65ee5c02ecd94478936d08c14951
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 27 19:40:31 2012 -0400

    Updated seed for the random number generator on all demos

commit 7b5f099aac1ed3050c344792980183be3adcf938
Merge: c5a3d93 426973a
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 27 18:04:21 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit c5a3d93b0c8f87d80c59270b6db2c614e78b5c76
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 27 18:03:30 2012 -0400

    Updated and verified 3D generative models learnt using demo3D12

commit 426973a94eeb4147809b426d628792a71d12e1c8
Merge: 04ff185 4490af6
Author: Yue Yu <yuey1@compute-0-16.local>
Date:   Fri Jul 27 17:36:17 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 04ff185b9e64de7f4348fb37630ccacf614c453b
Author: Yue Yu <yuey1@compute-0-16.local>
Date:   Fri Jul 27 17:36:01 2012 -0400

    Added the new version of slml2model.m to cellorganizer

commit 4490af687d02f0a4ca4d2a2de3d6c2ed42eacb43
Merge: 7d8cb7a 77c01c1
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 27 16:57:53 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 7d8cb7ae66fa534bebaa2e1f7f2d4329771ec97b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 27 16:57:14 2012 -0400

    Updated the microtubule and centrosome models to include the framework trained using the four protein patterns of the HeLa dataset

commit 77c01c1bce93bf2b9dc2b4959a847ac1ae55f3ae
Merge: 0d02c60 489816e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 27 16:50:58 2012 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 0d02c600bcaa785feb3dd2887d59a45fbf52d147
Author: Devin Sullivan <devins@cmu.edu>
Date:   Fri Jul 27 15:35:40 2012 -0400

    Updated CHANGELOG to reflect changes for version 1.7

commit 489816e4a237968102342386ab457083e97ef242
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 27 15:35:40 2012 -0400

    Update demo3D12 so that it looks for framework.mat in the directories of demo3D12 and demo3D11

commit a55664e36284ee9398ba7fe83a3cd3df3d449034
Merge: 445699b 448dd25
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 27 15:00:34 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 448dd2516b533adaedc8423518f3e02152007074
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 27 14:53:32 2012 -0400

    Added demo3D12 that trains a 3D generative model from one of the four protein patterns of the HeLa dataset

commit 17e28b9656d7a7a86220b58d332b545eacef92a5
Merge: 4c51879 f404fd1
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 27 14:10:19 2012 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 4c518797fb28ffc7dcfacb1294dfc11ae66be1c4
Merge: 799c710 fe71d22
Author: Devin Sullivan <devins@cmu.edu>
Date:   Fri Jul 27 13:24:36 2012 -0400

    Updated all 3D demos and demo information script

commit f404fd19b49c59fdf7bfabf141ce4939c6f96b31
Merge: 799c710 fe71d22
Author: Yue Yu <yuey1@compute-0-16.local>
Date:   Fri Jul 27 13:24:36 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 799c710e0df9f3d6190e68cd8cb32deee9012ed8
Author: Yue Yu <yuey1@compute-0-16.local>
Date:   Fri Jul 27 13:24:23 2012 -0400

    Added new model2slml.m method and use it to generate the xml file

commit 445699b06806f7c0d9f25038b06c491343635d29
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 27 13:11:50 2012 -0400

    Reintroduced try/catch statement on img2model.m

commit fe71d22dcb3a1332aec6a0ed75ec9fd6b38ae972
Merge: db65281 83d8aa3
Author: Devin Sullivan <devins@cmu.edu>
Date:   Fri Jul 27 12:53:09 2012 -0400

    Updated demo3D08 and demo3D13

commit 83d8aa3d9feb6bfc4dc4511c8f4145aba8bdad77
Author: Yue Yu <yuey1@compute-0-16.local>
Date:   Fri Jul 27 11:17:46 2012 -0400

    Added dimensionality field ti 2D model

commit db65281328a50248c44d402d366686a1c73d1374
Merge: 6ae5a0b 5c497da
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 26 23:42:38 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 6ae5a0bb5cd3968679ecb451f99a2e97b138480f
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Thu Jul 26 18:07:42 2012 -0400

    Updated method to include priority list

commit 5ae4cff4a2cafd43a172899d9dceaadb44c49aff
Author: Yue Yu <yuey1@lanec1.compbio.cs.cmu.edu>
Date:   Thu Jul 26 18:44:35 2012 -0400

    Fixed three bugs in model training code, now the 2D demos work

commit 5c497dacd29f4206093e1ee17793d6918699a99a
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 26 18:07:42 2012 -0400

    Added helper method that generates an HTML page to view the demo results in a browser

commit b92053024272c3c238f9858003841a75397f84fd
Author: Devin Sullivan <devins@cmu.edu>
Date:   Thu Jul 26 18:01:39 2012 -0400

    Updated methods to perform bilinear interpolation when resizing images. This update should improve the synthesis of microtubule patterns

commit 7c52a54d0d1be65c03db4dd99e7abb670b398468
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 26 18:00:09 2012 -0400

    Updated demo information file

commit 0829c66fff573b097fb6310237781060bc04e1da
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 26 17:52:53 2012 -0400

    Removed debugging statements in method

commit 84aa380ba1006282ceb4731a92ccc2afcccb3eca
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 26 17:52:16 2012 -0400

    Updated methods that export images to objects that can be imported to blender

commit 2a5904703306dc9af7570ee721d8569e1fef1988
Merge: f8ded42 bb8e3dd
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 26 17:50:38 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit f8ded42d1f05b0899b51c5d4a867f0a90bf273fe
Author: Devin Sullivan <devins@cmu.edu>
Date:   Thu Jul 26 15:27:16 2012 -0400

    Added demo3D13 that synthesizes an image that can be imported to Blender

commit bb8e3dd48e186040f00091ed5eb44ff38e76cfea
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 26 15:27:16 2012 -0400

    Added demo3D11 that trains a generative model of the cell framework using the four
    patterns in the HeLa dataset

commit aa949bbad2c3457789e461071c214d61544ec5fa
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 26 15:18:45 2012 -0400

    Optimized code so that after segmenting the image, if the number of slices in the
    nuclear image that have fluorescent signal is less than 4, then ignore such
    image by avoiding calculation of both the spline features and the cell codes

commit 14ba4bedfe0c0eb32bdb565b539af0b462c808ac
Merge: c396fd6 c471f0b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 26 14:55:47 2012 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit c396fd6849b95028f2941960619ba359672927d4
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Thu Jul 26 11:35:04 2012 -0400

    Optimized code for synthesizing microtubule patterns

commit c471f0bc0e6731f828e9ef13c8d485417d0bfb28
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 26 11:35:04 2012 -0400

    Updated demoinfo file to include demo3D10

commit e15f11ed43d15351ee81a88ddbe52cade3be1890
Merge: 09e6ec8 8cf16fc
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jul 25 16:17:30 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 09e6ec83737e9f01fd1472b5becc8804414f47d6
Merge: fc14266 bb4dcbd
Author: Devin Sullivan <devins@cmu.edu>
Date:   Wed Jul 25 15:03:42 2012 -0400

    Updated slml2img to include a flag to produce output that can be read in Blender

commit 8cf16fcb40228255f4c322f275112b4c6cb1568b
Merge: fc14266 bb4dcbd
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jul 25 15:03:42 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit fc142668033cc658b206b2e3e58f9ddcb49471c7
Merge: 9c6a4af 6dfb33e
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Wed Jul 25 14:55:23 2012 -0400

    Updated demo3D00

commit bb4dcbd7e5b7c82c6a2be426351a4c69d5424c8e
Merge: 9c6a4af 6dfb33e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jul 25 14:55:23 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 9c6a4afdefeca9498ea9d3897b1e7f2fc3cc3ac0
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Wed Jul 25 14:42:08 2012 -0400

    Implemented new preprocessing scheme to prevent cylindrical shaped nuclei

commit 6dfb33ec400abbef5578e32672d3b1cc754e3a45
Merge: 3499ae6 ecff5f4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jul 25 12:57:28 2012 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 3499ae6dc2b6bffbcb5c286e5dd5b2cf04557a9e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jul 25 12:56:44 2012 -0400

    Revert "Fixed bug that returned an empty image when protein flag was set to cyt"
    
    This reverts commit a6fd3696a15e1e862ecd28dfde0a8958f5da357a.

commit ecff5f4b3a2e1c9995e3d9c6e5ff73732198de4d
Merge: a6fd369 70cc451
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jul 25 12:52:00 2012 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer into dev

commit a6fd3696a15e1e862ecd28dfde0a8958f5da357a
Author: Devin Sullivan <devins@cmu.edu>
Date:   Thu Jul 5 15:12:13 2012 -0400

    Fixed bug that returned an empty image when protein flag was set to cyt

commit 70cc451a107d1dad00c3bf9e82427cfeef84899e
Merge: 7d552f6 0b2a658
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Sun Jul 22 22:35:35 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 7d552f694d6b1260ca39cbbeff671fe82544e000
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Sun Jul 22 21:41:17 2012 -0400

    Added demo3D10 that displays a generated image using img2plot

commit f054b436a244f6d8997ff0d284a13ea8b1cd5360
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Fri Jul 20 16:52:14 2012 -0400

    Added arguments to control colors, viewangles, alpha

commit 0b2a658bdb1de04d09c03e96c3e19b95a43938da
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 20 16:52:14 2012 -0400

    Updated setup.m to reflect latest version

commit 82d829974d3dc802c64c82364ec41dc9b1de88e3
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 20 16:50:00 2012 -0400

    Updated and verified demo3D09

commit 25bad598b9fbe63839c0872c7e12ece8c1f0cb95
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 20 15:22:30 2012 -0400

    Updated and verified demo3D08

commit 61275f942ca958d0cef5ba25a506ef3750a101b7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 20 14:03:55 2012 -0400

    Updated and verified demo3D07

commit b50faea5dc15e40a87c53840711fc55585f89d15
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 20 12:44:46 2012 -0400

    Updated and verified demo3D06

commit 719a16ab810895375931a74f9f68e6aa2f65272d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 20 12:43:32 2012 -0400

    Updated and verified demo3D05

commit e6e1d1ec43e1394e52f829b907a3866f59dcfdf8
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 20 10:32:44 2012 -0400

    Updated and verified demo3D04

commit 1fd48d167fce47c021889e2e5e2ad35a84e68dd0
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 20 09:59:29 2012 -0400

    Updated and verified demo3D03

commit 4793fea440752a820200ba0b635f0e03b746bb35
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 20 09:56:49 2012 -0400

    Updated and verified demo3D02

commit f4de9d7fd92a8ab4d54a345448edc570c0af669e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 20 09:48:33 2012 -0400

    Updated and verified demo3D01

commit d1652de1f5ccce9fbfd0bc75d15897a135d50493
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Jul 20 09:41:16 2012 -0400

    Updated and verified demo3D00

commit 97d1e960059cdf11ef7df6ea435bcddd0283960b
Merge: 0743aa6 211e7b5
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 19 15:46:24 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 211e7b587cc10d46e4105fadf217116aefa8478b
Author: yuey1 <yuey1@andrew.cmu.edu>
Date:   Thu Jul 19 19:42:19 2012 +0000

    Added path change to all demos

commit 0743aa6b199daf810a649c771cc8be77fc672c5e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 19 15:37:50 2012 -0400

    Added wrapper method for img2projection that can make projections from variables and tiff files

commit bd93f06c4f9ce6fbcb26af7b78d74035c6acb24e
Author: yuey1 <yuey1@andrew.cmu.edu>
Date:   Thu Jul 19 17:45:01 2012 +0000

    Fixed a bug for the bottom projection image

commit d875370f662ca0b63230683eb7dbf22a99e12586
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 19 13:03:24 2012 -0400

    Updated CHANGELOG

commit 57d8780f96b762365aadf641d0a58126ad915b48
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 19 13:03:07 2012 -0400

    Added a helper method that makes mean and sum projections of the synthetic images produced by CellOrganizer. The idea behind this method is to provide a quick method for visualizing 3D images

commit c4d862b3f8691312b990931e5fca36697888efbf
Merge: 698b761 3b85e38
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 19 11:50:33 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 698b76118b67e3cfecd025af3e54242676d21342
Merge: bf3b9f2 e53ce3d
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Wed Jul 18 18:22:51 2012 -0400

    Updated demo3D08

commit 3b85e388a4dc6310b7793c57dba7716baf6c0543
Merge: bf3b9f2 e53ce3d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jul 18 18:22:51 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit bf3b9f2c93ce5ac6e455d4de47bc81046d96afb5
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jul 18 18:19:33 2012 -0400

    Removed saving of temporary file containing the workspace in script

commit e53ce3d0a1cd01bee5b375a925954fe8826f546c
Merge: 68f62ad 728a382
Author: Yue Yu <yuey1@lanec1.compbio.cs.cmu.edu>
Date:   Wed Jul 18 17:03:19 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 68f62ad8764c89022f0111f3eabcfe42db574871
Author: Yue Yu <yuey1@lanec1.compbio.cs.cmu.edu>
Date:   Wed Jul 18 16:44:26 2012 -0400

    Modified the demos, the model name lam.mat is changed to lamp2.mat

commit 728a3821fbfc1edc6348a7d967b5d69520da7b5c
Author: Yue Yu <yuey1@lanec1.compbio.cs.cmu.edu>
Date:   Wed Jul 18 16:44:26 2012 -0400

    Modified the demos, the model name lam.mat is changed to lamp.mat

commit 69cbc14b1a528dab1a891f0c34ffdd037afdee20
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jul 18 15:42:17 2012 -0400

    Updated generative models that were trained using the performance updates on the 3D active mask segmentation

commit 9e37641df742d63d26704a689590b71e8c7570ea
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jul 18 10:22:49 2012 -0400

    Updated method to ignore objects of size 1

commit 7ce461edb8416b766768dfc2fa03a5290bd18831
Merge: f57e246 830c603
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 10 18:10:14 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit f57e246ff2954d46a1f7b3830447bbd08fcb18a1
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 10 18:07:25 2012 -0400

    Removed all tif files generated from demos from git repo. There is no need to include this in the private repo.

commit 830c603b8f5837fa2ba3ee63d37667fce95fd977
Merge: 417caee 57c7d36
Author: Michelle A. Mackie <ma.mackie@gmail.com>
Date:   Tue Jul 10 16:11:56 2012 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 417caeed6da4eb42129ce1c89d73020f3276fbd1
Author: Michelle A. Mackie <ma.mackie@gmail.com>
Date:   Tue Jul 10 16:09:13 2012 -0400

    added img2xml it saves an img as a sparse matrix

commit 57c7d36ad5916ba668aaf02d8945246bf9ab702d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 9 17:24:35 2012 -0400

    Updated code so that when debug flag is set true, it saves the model as a mat file. Fixed bug that replaced the model.id and model.name to the default values. Updated code to include all possible options of the input parameter structure

commit 54f7e096ee865e49210218a39b00ac85694f4ca1
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Mon Jul 9 12:43:46 2012 -0400

    Fixed a bug where it didn't work properly if there were  no 0-value pixels

commit 2f478cc8182aea27b2bd43746c2d0b79fa4223bc
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 9 12:25:16 2012 -0400

    Reinstated try/catch statements that will return an empty model if it fails to train one

commit 3d2a27542c81e3b685f171a6c1e5a4262387336f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jul 9 12:23:35 2012 -0400

    Updated code so that when debug flag is set true, it saves the model as a mat file

commit fa6a1a2cfe1896f1eb044d5284dba4c9b946e0bb
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 5 15:12:13 2012 -0400

    Documented method

commit 73e31e0ec4113968e987630ce924e7ff9d99a63c
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 5 15:10:12 2012 -0400

    Documented method

commit af724380256a44e4cc10eae5a2fb824969f847f4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 5 15:04:27 2012 -0400

    Documented method

commit d4447185fefc3c8c9d45470a140d6dc31d01e71d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 5 14:01:06 2012 -0400

    Removed unused file

commit 81bda217f6ca6a7b440c5eacd6f3297907efe842
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 5 13:54:14 2012 -0400

    Documented method

commit 140817106af6c29676cc209ffbb39583cf98b52d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 5 13:51:31 2012 -0400

    Documented and optimized method for enhance user experience

commit 3515edfa302fc58e96a8881e422fd04b2bad3958
Merge: 0ad944c b9b96d4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 5 13:40:07 2012 -0400

    Updated img2blender so that it returns a boolean flag to whether the method was
    successful at saving the file to disk
    
    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer
    
    Conflicts:
    
    	img2blender.m

commit 0ad944c8aa4891ea91621effb7385e9d80756715
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 5 13:11:36 2012 -0400

    Fixed a bug in the checking of the input arguments that prevented the method from working properly

commit 0f7cef93058a06052a326e5f812dc8f8e4d9baf3
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 5 13:05:34 2012 -0400

    Fixed a bug where the default value of the training flag was not set properly and was throwing and error

commit b9b96d4ced109552783438f931bc57b50a8a1403
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Jul 5 09:32:16 2012 -0400

    Updated img2blender by checking input arguments

commit c9a3c37a818e82b4c155ec65cb5b690a4a281765
Merge: 8cf7e89 4c95df4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 3 14:49:20 2012 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 4c95df4ec6e9304462e39f86203849b70f025323
Merge: 6cd1542 88d9f36
Author: Michelle A. Mackie <ma.mackie@gmail.com>
Date:   Tue Jul 3 13:49:55 2012 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 6cd1542d8f42e48918b89692dafd568411ec6c51
Author: Michelle A. Mackie <ma.mackie@gmail.com>
Date:   Tue Jul 3 13:44:50 2012 -0400

    Added flag to img2slml that selects what to train

commit 8cf7e897520cc4789e3d75bb3b79f58fc56ca587
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 3 13:26:49 2012 -0400

    Fixed typo in README file

commit 88d9f36571aa872dfe098c6c99b9def7eee0733d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 3 13:25:17 2012 -0400

    Removed deprecated/unused methods inherited from the SLML Toolbox and included them as helper methods of isImageFile.m

commit d68eb4606c9074a0ad500e1d03e0ad345b5f380d
Merge: 2d89d09 1db48cc
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 3 13:12:48 2012 -0400

    Merge branch 'master' of git@bitbucket.org:icaoberg/cellorganizer

commit 2d89d0968ae5cd4698af26a18b7078d2161dc39d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 3 13:12:19 2012 -0400

    Removed deprecated/unused methods inherited from the SLML Toolbox

commit 1db48cc703bcebe52ead7202debcb483c4d4e3b9
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 3 13:03:41 2012 -0400

    Added CHANGELOG file to keep track of project milestones

commit 6823ed1ce142de60bcd35296524ffcd4a79ded33
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jul 3 12:12:26 2012 -0400

    Added AUTHORS file

commit 28ec8b2e5951d654edf782abd47064ab62b192a9
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jul 3 12:08:42 2012 -0400

    Optimized active contouring to include a flag so that the user can perform segmentation with the gradient propagation calculated on the whole image, rather than per-slice

commit 5cf225db5db67dd97a2a5a089a149e4b456f1d50
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Jun 25 14:48:01 2012 -0400

    Updated tif2img so that the Matlab array inherits the properties of the tiff, i.e. the bit-depth

commit 81754a91405d516444617553d5238f66b77e773e
Author: Gregory Johnson <gj@andrew.cmu.edu>
Date:   Tue Jun 19 23:49:50 2012 -0400

    Changed ml_findobjs loop to accept images of arbritrary x and y dimension

commit 08098ccc9b4ed18dfdb5b4a8a7e353b1570cebfd
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jun 19 15:47:09 2012 -0400

    Adapted img2blender.m from ml_makeobjfile.m. Added license and documentation. Added checking of input arguments.

commit 3d9635da0a93bb69de15b640d0631f2ec29d6970
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jun 19 15:35:58 2012 -0400

    Added the Wavefront OBJ Toolbox to the utilities folder. This toolbox is neccesary for exporting generated instances to a format the is readable by Blender.

commit b0eff56e8bdc7bbec5f7fb398aa338347b31f0a6
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jun 19 15:23:31 2012 -0400

    Removed top header and added a check of the input arguments to img2index.m

commit 89eeab9cb267cd39027fea3899ef7db05c59f38b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jun 19 15:17:44 2012 -0400

    Uncommented the training of the protein frequency model from train_protein_model.m and added documentation to getProteinFrequencyModel.m

commit 511b7897a374a7ee85598c2038b7aefcceaa5b3d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Jun 19 11:50:29 2012 -0400

    Changed index name in the preprocessing for-loops that had the same index name as the main loop

commit b5ad6cd2b56256079996cb98289df1b781d8ff3d
Author: Michelle A. Mackie <ma.mackie@gmail.com>
Date:   Thu Jun 14 13:16:21 2012 -0400

    Removed code for indexed image type 1

commit e4becc344c482f8d8fa0a3c755f21e698dc3ca85
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jun 6 15:57:07 2012 -0400

    Removed .gitignore files from repository

commit dd9470f2c141373db40eb336284b122c9f2e059e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jun 6 15:52:52 2012 -0400

    Removed python folder

commit 2194f5234c99d45da2240d53db964c2daca925a8
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jun 6 15:27:15 2012 -0400

    Removed source for python and created a separate repository for it

commit aba2ad10475453e1eb8edb33557324dcaa9c661a
Merge: 3554525 aa61ff3
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jun 6 13:27:19 2012 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 35545259b29bce8cc67eafd5826215372e82edc7
Merge: 14c6a54 72f1489
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jun 6 13:11:30 2012 -0400

    Added demo3D08 that shows the usage of output options

commit aa61ff3d226ee3df98d7fa4634d3b65ad4961224
Merge: 14c6a54 72f1489
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Jun 6 13:11:30 2012 -0400

    Merge branch 'master' of bitbucket.org:icaoberg/cellorganizer

commit 14c6a547cffaa693b120bbdc6e41afe26e2316c6
Author: Michelle Mackie <mmackie@andrew.cmu.edu>
Date:   Wed May 23 14:29:46 2012 -0400

    Added option to slml2img so that users can save the generated instances as indexed images

commit 72f1489d01d174858d2a3ce89e04dc832fcc7373
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed May 23 14:29:46 2012 -0400

    Added empty python folder

commit 5a78c5117499fe015eea1edb0d560a0ec1db4b0b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed May 23 14:18:17 2012 -0400

    Branched matlab and python code

commit 0f1f5313010ad963de53a0ad697527d59e7d436e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 26 18:12:49 2012 -0400

    Updated the 3D LAM model .mat file

commit 8584db21e48099e650780e878c9cbfe0f8a2a005
Author: Devin Sullivan <devins@cmu.edu>
Date:   Thu Apr 26 17:18:21 2012 -0400

    Fixed the new sampling method to sample positions rather than pixel
    intensities while maintaining efficient sampling

commit c753a5c72589a516e60a104f101d44eb509c9a1d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 26 13:51:56 2012 -0400

    Added new flag to save method to allow saving of large matrices

commit a9b35f90aeab460f7abc69b78343a3faba58572b
Author: Devin Sullivan <devins@cmu.edu>
Date:   Wed Apr 25 16:42:55 2012 -0400

    Changed 'sampled' method to uniformly sample within the vesicle and
    refactored code to optimize running

commit 9d6f802825de913a2f6908e2122f109cb1456712
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 25 14:41:09 2012 -0400

    Added beta version of img2plot

commit c605900e52a27673222a70d4834ffafccde8bda1
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Wed Apr 25 14:40:15 2012 -0400

    Count Gaussian objects found in each major object, not the major objects

commit f0103c377f9f4fdcc3b540f280523f76feedbe91
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Wed Apr 25 14:36:34 2012 -0400

    Correction Gaussian object frequency model

commit 0f9129f5c8fc20421cee6f9b40e65e9dd9502721
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 19 08:47:49 2012 -0400

    Fixed a bug where the protein model arguments where save to another structure

commit 63eb425b7469dbc61aa54a35ce6ee446c61d009f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 19 08:17:21 2012 -0400

    Added frequency model to the 3D generative vesicle model training component

commit b49ea5c5b587efca5d13835d3ab5b55706e4ca04
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 17 14:14:26 2012 -0400

    Added parameter structure to the method and fixed a small bug where the method complained
    because of a missing preallocated beta

commit 00ad118e95d710eb4923466349ea5e1c18e0a8ae
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 17 14:12:04 2012 -0400

    Removed display message from try/catch statement

commit c4cfbc44341c1928cb84e74aed54a097ec888563
Merge: a601335 3268248
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Apr 16 15:12:19 2012 -0400

    Merge branch 'master' of /share/home/murphylab/cellorganizer/source

commit a6013353c4495f8b087308a73237407b9d1e9ab8
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Apr 16 15:10:17 2012 -0400

    Updated splash figure to reflect new version

commit 3268248b35dd36c50410e93214497537ddc21c46
Author: Devin Sullivan <devins@cmu.edu>
Date:   Fri Apr 13 10:31:41 2012 -0400

    Fixed typo "tooolbar" to "toolbar" and catch statement from v2.0 to v1.6

commit 2e859f2f35f17f26cdfcb61b3c0124f905daeeff
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Apr 13 06:47:32 2012 -0400

    Optimized centrosomal generation code and reran all 3D demos to reflect the change

commit 6eeb55f7e022c2770f70f74ac22099fed45abebe
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Apr 13 00:33:15 2012 -0400

    Optimized tp_genprotimg.m

commit 9de20b229d50a41a872a8fdc2ad98ff938e54a26
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Apr 13 00:31:30 2012 -0400

    Added bouncing method to microtubule generation

commit 9bdfdfe0cc884790aa5ee6845974e94d8ac8c238
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Apr 13 00:25:07 2012 -0400

    Updated README file for the current version

commit 870b9be7343beaed5d461d163d7287216a81c69b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Apr 13 00:13:38 2012 -0400

    Removed temporary mat files from demo3D01

commit 18a1fa281165af8d8f69ca0da85908e356c1f1b3
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 12 23:57:12 2012 -0400

    Edited setup.m and updated version to 1.0.19

commit 5ee35fac1f5e9373d25a3b8ac474726ba706e4a7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 12 23:56:09 2012 -0400

    Removed debugging statement that was saving a temporary workspace to disk

commit d8829148789498078d7fb9def58dd651fbb4dbea
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 12 23:55:33 2012 -0400

    Updated and test 2D and 3D demos

commit 1ae77ec8ff6401f512f22e78b1daa676fb98ba07
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 12 22:23:17 2012 -0400

    Optimized model generation

commit 5b99b7072e2d792c11e9e4f63c0f922cc969c6b4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 12 18:27:46 2012 -0400

    Updated centrosomal calls to model2centrosome.m

commit 9f248caaee1fcafe68b0fbc78999f058181386de
Author: Devin Sullivan <devins@cmu.edu>
Date:   Thu Apr 12 18:18:37 2012 -0400

    Optimized centrosomal location generation

commit 784159f1e483b5af3aab951aede0bbd3be2ade84
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 12 18:16:33 2012 -0400

    Removed demos folder from path

commit 7381d4f8c3aade6d2e5327f76cc36c19deabcfae
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 12 17:53:45 2012 -0400

    Removed debugging statements and improved logging

commit 5457e402d796a4669bdcdfe665c56261f90f7b32
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 12 14:43:59 2012 -0400

    Added new 3D models

commit 0192d34a403018fad5bd0c76c2a1b60711368043
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 12 07:40:32 2012 -0400

    Renamed 2D methods to avoid conflict with 3D methods of the same name

commit 5a9c9cfad4e06a7aa35ea985df7edc0f3f77d5a7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 12 00:33:17 2012 -0400

    Renamed 2D methods to avoid conflict with 3D methods of the same name

commit 15bf5cfc97e2c0ac2b8c796bbb37a87e55c4bebf
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 17:38:54 2012 -0400

    Renamed ml_rdistpca.m to ml_rdistpca2D.m to avoid conflicts with 3D method of the same name

commit b59f2c236d1a9070f086f51426e08d6934559b50
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 17:21:36 2012 -0400

    Renamed ml_estpdf.m to ml_estpdf2D.m to avoid conflict with 3D method of the same name

commit b1b7f3485fdede6349e396dc20a92d0a113972c4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 17:16:15 2012 -0400

    Renamed ml_trainshapemodel.m to ml_trainshapemodel2D.m to avoid conflict with 3D method of the same name

commit 0a5ac66746d1dbaacec1cecc4d6f1efdb5f77ca8
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 15:22:00 2012 -0400

    Fixed a bug in synthesizer.m where the code would fail if only one model was used as input

commit dc097cf67bb1065a05bf8c4fb26e1328c60132e0
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 13:53:14 2012 -0400

    Added debug flag to demo2D00.m

commit 865d1b4899284ee66e5befdb2c370ababccb5833
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 13:27:34 2012 -0400

    Fixed bug in synthesizer.m that prevented GUI from displaying the images prefix when pushing the "Previous
    Image" button in 2D mode

commit 6761b4ca79767acd89e1974c0ebf3e53a5f970f5
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 13:09:18 2012 -0400

    Parameter structure param is set to empty when the number of input arguments is one in method model2img.m
    Added try/catch clause to determine verbose flag. Default is false

commit e0389de47e7bfdf10503a118e52ca4d39bee14d7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 13:01:48 2012 -0400

    Removed default contrast-stretch of image in method tif2img.m

commit a567f88ae581165c46cc2b8476bf78213fe55a98
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 11:49:42 2012 -0400

    Fixed bug on img2slml where the lines of code that saves the images to file were outside of the main loop

commit 704fc1924fd798d6c9d132ac48e692a59938bc0c
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 11:48:27 2012 -0400

    Updated demo2D00

commit e6b4df24bdd0f1744ff646ba1fe785d90aae1691
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 11:46:58 2012 -0400

    Update message in setup.m

commit 007f38f8165c04f592f52594995ae8e84e693f05
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 08:39:59 2012 -0400

    Renamed ml_gmmem.m to ml_gmmem2D.m to avoid conflict with 3D method of the same name

commit d3c26a69cc9e11142757f83b7a0d5ab1a4c7ab4b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 08:35:07 2012 -0400

    Renamed ml_objgaussmix.m to ml_objgaussmix2D.m to avoid conflict with the 3D method of the same
    name

commit db15f234c0f80165348173db090b90ba6285fd88
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 08:12:32 2012 -0400

    Renamed ml_imgbgsub.m to ml_imgbgsub2D.m to avoid conflict with 3D method of the same name

commit e1a09062e6c958d479fd8e190b9e58f9b2ab9986
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 07:46:38 2012 -0400

    Added verbose flag to method img2model.m

commit c846702813171f4b42cac208fb2128bbc0808e4b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 00:20:54 2012 -0400

    Added debug flag to parameter structure and set the default value to false in img2slml

commit 463580663ae8d61f88210947d0099eee95eb5f73
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Apr 11 00:01:53 2012 -0400

    Added try/catch statements around every imshow call in ml_parsecell to prevent method from
    failing when isshow flag is true but no windows system is present

commit 5cc81671255b44252ddb25acdc6652a54ac76f22
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 10 23:58:00 2012 -0400

    Updated version variable to v1.1, the first stable private release

commit 1a62431e50e9479419fb794183c98c9ddcb3d0c6
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 10 23:57:11 2012 -0400

    Added debug flag to parameter structure to img2model so that if the flag is true, then
    the intermediate results folders will not be deleted when training is successful

commit fb90c90d298c0fde05c12c6c754d1f7ce959e505
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 10 23:51:36 2012 -0400

    Added parameter structure to preprocessing method to hold debug and verbose flags

commit cf877ecda05682b366cdc405452a1de64be5870d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 10 21:51:52 2012 -0400

    Removed line from img2tif where it saved the image as mat file for debugging purposes

commit 4ec0c4ae11f30250b3eb1a9e38a0c2bdef6919c9
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 10 21:49:41 2012 -0400

    Fixed a bug in demo2D01.m where the image folders where passed to img2slml incorrectly

commit 4b9d53d0c97227af1094dc94c595bcecb16d977f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 10 12:39:29 2012 -0400

    Added error stack displays to the methods.

commit 8916778551abf04a29f0782a4bc1298588222bca
Merge: d9d86f7 900a9ed
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 10 11:08:11 2012 -0400

    Merge branch 'dev'
    
    Conflicts:
    
    	utilities/img2model.m

commit 900a9ed3e66b1678eb960748e5ceab843f2f6cbc
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 10 11:06:25 2012 -0400

    Cleaned and updated model training code by adding comments and removing debbuging variables

commit f6a5c7a9fa35a237088a2770aee93108390f1057
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 10 11:03:22 2012 -0400

    Updated 2D demos folder

commit 3779332c256f581fbe0eb382f058fe9eefe7df73
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 10 11:01:56 2012 -0400

    Added generated image for demo2D00

commit d9d86f75761d1d9f679d78e83303aac8dd598748
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Mon Apr 9 17:02:59 2012 -0400

    Optimized training and synthesis of 3D frameworks

commit 480c85e900992b5286543aefd5b51b1ee38f9439
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Apr 9 10:52:24 2012 -0400

    * Updated progress information while training a 2D generative model.
    * Modified training code so that it saves intermediate steps when learning the
      Gaussian mixture model

commit 52200833dd18e4c6237490625882e56c205ef5be
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Mon Apr 9 09:38:15 2012 -0400

    Optimized synthesis of 3D images

commit 71bb1d940d8425c3e972b12f5794f704bf65ebd1
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Apr 9 09:36:27 2012 -0400

    Updated the 2D demos.

commit 387b73795e9a31a5350b5139fc83783332f42fb7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Apr 9 01:34:01 2012 -0400

    Added call to train_cell_model2 to img2model.m and removed the lines that delete the temporary files
    for debugging purposes

commit 4dc91abf3e37b128cd01535e1d90455260c0d93e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Apr 6 07:22:45 2012 -0400

    Returned to old method to calculating cell codes. Created a parallel method called
    find_cell_codes2 for this purpose

commit 1cc0b26f83cfd540153ed075bae51acecfc5175e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Apr 5 02:29:32 2012 -0400

    Updated code that calculates the cell and nuclear ratios in 3D.

commit 1bfe9e3d2af7557dc6782cb333d660241b2ae3e5
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 3 10:45:02 2012 -0400

    Added findn a method that return the coordinates of a 3D array in a similar
    fashion that find does in 2D.

commit 7e1f91f652185ce4fa117eafb1c386a78f4c6702
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 3 09:03:24 2012 -0400

    Optimized the training of the cell shape model.

commit 7047f342b3655d66c30467ce2dd23a41aac7cbe4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Apr 3 08:58:03 2012 -0400

    Added a method to find the closest point coordinate from a point and a surface

commit 6755710c420f23d6fc3b69340155728af3e44c5f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Mar 29 13:39:30 2012 -0400

    Updated .gitignore file on demos folder

commit efb05615ba0b6d21d24f3f9172f48daca5bd9a5f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Mar 29 13:38:51 2012 -0400

    Added demo2D01, a demo for training a 2D generative model of subcellular location

commit b882ba576e691cd9e2c482a6e5c419f625eccfe0
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Mar 29 13:25:16 2012 -0400

    Updated model training files so that check the input arguments and return empty models when they fail

commit 6e57c32ef4a8e3596a2ec501aad9c169b60d777c
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Mar 29 13:23:32 2012 -0400

    Removed unused temporary matlab file

commit a61a96e89cb1eb16408e6970670a0d1e5a52bf97
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Mar 29 13:23:03 2012 -0400

    Updated .gitignore files so that they do not include the xml file models

commit 828ba8bf45cb04f9a55aef58823b751220c5cf05
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Thu Mar 29 13:21:24 2012 -0400

    Added methods for training the cell shape model that uses center of the nuclear object instead of the center of the nuclear object at each zslice

commit 6b822a1b7f497d3a60280761533865de28320010
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Mar 28 15:33:16 2012 -0400

    Added verification of input arguments when running in compatibility mode (compatible with SLML Tools).
    Added verification of input arguments when running in default mode (CellOrganizer).

commit 13e98cc6549e76f9bb68a5fe39b0e724a37b3137
Merge: 0ecbf66 de0436f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Mar 28 11:53:24 2012 -0400

    Merge branch 'dev'

commit de0436f1d4ef1b7928cdd6be174a53678d7a62de
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Mar 28 11:53:11 2012 -0400

    Added a control structure under which if img2model returns an empty model structure, the method exits

commit d593a3ddf6ee0a0f1a13a5d579931d4150565156
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Mar 28 11:48:50 2012 -0400

    Added a control structure under which if one or more of the image folders are nonexistent
    or they do not contain images, img2model exits and returns an empty model.

commit 0ecbf6626cf69667e4ff3f710dbe5ea927b5d98f
Merge: 4e72e0b 9f972bd
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Mar 28 10:50:46 2012 -0400

    Merge branch 'dev'

commit 9f972bd3e8ea7d85539134c8741e6aa842b9f11b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Mar 28 10:50:00 2012 -0400

    Modified setup.m so that it connects to the CellOrganizer website to download the latestVersion number of CellOrganizer
    It then compares that number with the version number found in setup.m and tells the user whether he should
    upgrade.

commit 4e72e0be8c6a89165043d691109c4dcf8e111ec6
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Mar 28 06:51:04 2012 -0400

    Removed all the debugging statements, and updated the comments and licenses.

commit ffb19772724e4e07d832e5e88089918a2f26c231
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Mar 27 11:40:00 2012 -0400

    Removed top and bottom blank slices from DNA and cell images using bot_slice and top_slice

commit 87ff11cfcb85fa0f45f0785c1391a9f224571f38
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Mar 27 09:47:45 2012 -0400

    Modified the code so that instead of sending a slice of the nucleus when parsing the cell codes, now we use a projection of the nucleus for all slices of the cell

commit 12815dde4d94acfbb5fc9f10d4514b51859ba8c7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 26 15:56:17 2012 -0400

    Check if temporary file exists, if it does it loads and returns preprocessed results

commit b31ad96fd4513549db9c260d7895dad3c774155a
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 26 14:23:00 2012 -0400

    Added image rotation after preprocessing

commit 81f7f6fee53c3ddf98388654a1e873134ded91fc
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 26 14:22:10 2012 -0400

    Removed unused methods

commit 0fa67f7c84b2778eac04a6e5810937c1ddbc7394
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 26 09:08:11 2012 -0400

    Removed blank slices from nuclear image before calculation of the spline features

commit 5431719b424d59049adb0ba7324a3ff14069e74f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 23 16:19:24 2012 -0400

    Updated setup.m so that it checks if there is newer version of CellOrganizer available

commit 6eac398720df3b98ca1d4bfa52e7ba159a6fc1f9
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 23 14:54:53 2012 -0400

    Updated methods to avoid overloading with 3D methods

commit 422510ea6d4137ddf044557c899566b063efc5ba
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 23 14:53:21 2012 -0400

    Renamed ml_traingenmodel to avoid overloading with 3D methods

commit 395dda5c6f838f20d48ccc263a13eeccf839f675
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 23 00:48:35 2012 -0400

    Modified save path directory

commit 7234fd47844769e468d843c9ad32722461ecab0d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 23 00:46:53 2012 -0400

    Fixed bug that was saving the preprocessed images using an incorrect index

commit 3b6cccfd6359ec0ebf94f25da2368df3bc9188ef
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Thu Mar 22 17:14:49 2012 -0400

    Find top and bottom slice separately for cell and nucleus

commit 87492d469a6dd66fed2f3c9f50bb0304f95f89e7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Mar 22 17:08:18 2012 -0400

    Added param.downsample parameter to the two methods that preprocess the images so that users can select a downsample scale

commit 8560680cbaa2e5d64fc28d325f5b6e288cb434cc
Merge: 4b4bb6b f6c4e78
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Mar 22 15:04:40 2012 -0400

    Merge branch 'master' of file:///share/home/murphylab/cellorganizer

commit 4b4bb6b91ebd2bd1c3745d4e187b18c5e038b2e2
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Thu Mar 22 11:07:51 2012 -0400

    Optimized active contour 3D segmentation code

commit 1eefb42940ff2e7877c2b68dad8a05fb0e1b53f8
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Mar 22 10:51:47 2012 -0400

    Changed model.proteinShape.location to model.proteinShape.cytonuclearflag and reflected that change in the models as well as the code

commit f6c4e781de003c4f5b0a293c7ee0777a8c96c720
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Thu Mar 22 10:51:47 2012 -0400

    Changed model.proteinShape.location to model.proteinShape.cytonuclearflag and reflected that change in the models as well as the code

commit 4f1768838e13b1bbeee700dcd7c297048d991664
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Tue Mar 20 12:05:38 2012 -0400

    Replaced micro2psf folder

commit 2d5b6e8c56a9ebc441356b1ba70db31b5c41648b
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Tue Mar 20 11:21:59 2012 -0400

    Optimized the process of generating vesicular model image instances

commit fcb38aeb0459ddf2f2a3d5fbfaabab4ee6f1fb6e
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Tue Mar 20 11:08:28 2012 -0400

    Updated the setup script for loading CellOrganizer into a running Matlab session

commit 17bd3f3d83fb0c9cbc75e4ec5251f5a9356b7442
Author: Devin Sullivan <devins@cmu.edu>
Date:   Tue Mar 20 10:39:27 2012 -0400

    Optimized the process of generating vesicular model image instances

commit 085698b0bc6f1f5b2cd7299835a629999c6788f3
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 19 12:38:37 2012 -0400

    Updated .gitignore files

commit 5990f7b2d7454f09a12cd6455c7af50375410071
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 19 12:36:55 2012 -0400

    Renamed ml_parsecell to ml_parsecell to avoid overloading

commit 9d553f335e944d1bf29f487a0f7b276809d48f96
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 19 12:34:59 2012 -0400

    Fixed a bug where the input arguments of ml_parsecell were incorrect

commit 054fee4b0861caa42545fafd45b8220cb737d70e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 19 11:07:56 2012 -0400

    Changed protein model class from cytoskeletal to microtubule

commit 4a62694dc26b441ad8e021a963268e837ff91406
Author: Devin Sullivan <devins@cmu.edu>
Date:   Mon Mar 19 10:51:58 2012 -0400

    Updated the microtubule and centrosome models and code

commit 1878f56b2da36fca699d9d54eb0374fecbe6891e
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Mon Mar 19 10:34:25 2012 -0400

    Updated documentation on tp_genprotimage

commit 9ea04547e89893928969cfc0ac6c2643895fec7b
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 19 10:31:38 2012 -0400

    Updated model2img documentation

commit 6e2cc00c018689ab6ed9d14edd543094fbc33a1f
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Mon Mar 19 10:30:09 2012 -0400

    Removed old demos and their synthesized images. Added file demosinfo which displays information about the demos on screen.

commit 9ddaf172f994ec0e851f9d546866281a412cb757
Author: Robert F. Murphy <murphy@cmu.edu>
Date:   Mon Mar 19 10:14:58 2012 -0400

    Updated demos folder

commit fd9cd8d842966b2f0292e6166ede4c22f8c5d1a7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Sat Mar 17 05:52:43 2012 -0400

    Updated the code for generating vesicular samples as well the code for saving the images to file

commit 669dd6e10b035e28cf3e83524f7385d03207d7c0
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Sat Mar 17 05:41:59 2012 -0400

    Updated demos and synthesized images

commit 6d5b76b3de3ebcb6c1070feee6b54a144b8854c7
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 16 15:04:44 2012 -0400

    Updated nucleolus 3D model cytoNuclearFlag

commit 7d9eb08c0ee30597612b0a5617856f201b0dbdc4
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 16 15:01:07 2012 -0400

    Updated demos

commit 73469423bf038e79a94531669dda2e83f3552d61
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 16 15:00:22 2012 -0400

    Added .gitignore files on demos folder

commit d10a81b552a1cd2a9ef20062c7f08d797c32fdf5
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 16 14:59:05 2012 -0400

    Updated callbacks on trainer

commit 025861cdc15bd44d6d2fd5138ca65880950fb367
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 16 14:58:23 2012 -0400

    Removed all old demo files and demo3D12. Removed old Active 3D Contour segmentation code

commit b0ce5c9ab34d8f4813dc779ffc3bd7cb4ab04eba
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 16 12:09:59 2012 -0400

    Added new preprocessing method based on Aabid Shariff's code for training microtubule patterns

commit 986082aacc03942682b72ed16d17ba14acc5ad50
Author: Devin Sullivan <devins@cmu.edu>
Date:   Wed Mar 14 14:44:11 2012 -0400

    Fixed sampling method and added sampling density argument

commit d2db14c78a2ce4f7ffbc62454e3ddd130ec39afa
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Mar 14 14:04:25 2012 -0400

    Added and edited demo3D12 which synthesizes 3 images using the nucleolus model with location parameters
    {'cyto', 'nucleus', 'all'}

commit be439ecd020b1cff75021727e457295b8bb40d3f
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Mar 14 13:32:06 2012 -0400

    Updated log file report of parsed files to report a percentage on screen

commit 4f8449541f188c74a3050022860f2ef3c46088ae
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Mar 14 13:10:43 2012 -0400

    Made it sure .git folder is not added to Matlab path

commit 6772e7c6b89919343268575dd101dc37c5691547
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Wed Mar 14 12:47:44 2012 -0400

    Added protein.location parameter to slml2img

commit d1cd82e5e756599d9e090eee874650b5936cc31e
Author: Devin Sullivan <devins@cmu.edu>
Date:   Wed Mar 14 10:44:01 2012 -0400

    Added downsampling and upsampling to MT_synth

commit 92a693404148525ffd732e172b473f8bf93c5519
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 12 15:48:18 2012 -0400

    Added sampling density parameter to gauss_sampler

commit ddf5eb05ce96898db4ca4cad2df546df1a7f638d
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 12 15:44:50 2012 -0400

    Added header and documentation to gauss_sampler

commit fcf07bef35b6d0d4ab2920f0ab12d563813b0c62
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 12 09:17:13 2012 -0400

    Added new header documentation and support for the new method as well as
    providing backward compatibility for SLML Toolbox

commit 15f8a0cf639d8f702ece656b1bd240b5b2c54609
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 12 09:16:19 2012 -0400

    Updated the progress report so that it overwrites the previous report with blank spaces
    before replacing it with the new report. This is done because sometimes the next report
    is smaller than the previous and the new string gets mixed with the old.

commit 36c3f470aa61ef3976b4eaf6e9c8ff9be8dcec34
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 12 08:20:05 2012 -0400

    Modified sampling text on GUI. Changed it to 'Sampling density'

commit b14073f938b4fb11ac1477f85f37503eab49d417
Author: Devin Sullivan <devins@cmu.edu>
Date:   Mon Mar 12 02:14:12 2012 -0400

    Modified downsampling/upsampling code on nuclear and cell shape model instance on MT_synth

commit 12d9daa2130481ecb3bada12f6b1d4e72ba65a2e
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 12 02:12:23 2012 -0400

    Update documentation and cooments on demo2D00

commit 9f8a5eb4aae1a0ad24d411d6a24288b1ddf9319c
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Mon Mar 12 02:11:55 2012 -0400

    Updated the documentation on img2slml

commit 31a46a6849623a50b5260131d9276642fb75ff44
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 9 16:26:32 2012 -0500

    Removed print of progress bar from log file on slml2img

commit e2c50aaa09a2900bf49f5bbf98f7598e703e0ec1
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 9 14:22:38 2012 -0500

    Added license, updated opening and closing functions and removed support for gallery on toolbar

commit ac08e747d7b4839c645fb37493241e709dc65ea0
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 9 13:38:12 2012 -0500

    Added license to startup

commit a76450f8adc0358ea306f333b7a324f51cb9e6e1
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 9 13:36:28 2012 -0500

    Updated license and changed SLML Toolbox errors to match CellOrganizer on setup

commit 5ba7525f5ba43b98c4d15a1fbcb82fa2dae00e53
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 9 13:29:55 2012 -0500

    Added license, documentation and updated the opening and closing functions on synthesizer

commit b451a4b31e07ace1d635f927c5abb042cd4d2134
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 9 13:18:28 2012 -0500

    Added license, documentation and updated the opening and closing function.

commit 15adea117c65686ed72dddaf5bfc66389312b914
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 9 03:05:44 2012 -0500

    Changed report of synthesized objects in tp_gengaussobjs

commit d2a31a14b57bb1216b2605aba64e5b4c3e9cca52
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 9 02:46:13 2012 -0500

    Commented out sampling density, changed disp to fprintf and improved logs in model2img. Removed a new line feed from a fprintf from slml2img.

commit 64b8715e5edacdd7c5f9dc1fc55dcaef8764304c
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 9 02:05:20 2012 -0500

    Changed disp to fprintf and improved logs in slml2img

commit ff0c7cb7a8811d4e355a36cff50765aa36bcf5c5
Author: Ivan E. Cao-Berg <icaoberg@cmu.edu>
Date:   Fri Mar 9 00:51:16 2012 -0500

    Initial commit
